#ifndef  FIGHTER_H
#define  FIGHTER_H
//---------------------------------------------------------------------

#include <theatrix.h>

struct area;

class Fighter : public Performer
  {
public:
  Fighter(Director* d) : Performer(d) 
          { checkhits=TRUE; usenetpacks=FALSE; }
  void display();
  virtual void configure(int s) = 0;
  void no_damage_check()  { checkhits=FALSE; }
  void use_netpacks()     { usenetpacks=TRUE; }
  void update();
  void update_status();
  void introduce(Fighter* p)   { opponent=p; }
  void communicate();
  int getx()  { return x; }
  int get_damage()      { return damage; }
protected:
  void initialize();
  void evaluate_attack(area);
  void calc_impact();
  void you_win();
  void set_side(int s)  { side=s; }
  int get_side()        { return side; }
  int getmode()         { return mode; }
  int kick();
  int punch();
  int left();
  int block();
  int right();
  void got_punched();
  void got_kicked();
  void got_blocked();
protected:
  Fighter* opponent;
private:
  int x,y;
  int mode,frame;
  int side;
  int newmode;
  int damage;
  int numsounds;
  int checkhits;
  int usenetpacks;
  };

//---------------------------------------------------------------------
#endif
