#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"

camera
  {
  location <0.0, 3.0,-5.0>
  direction <0, 0, 2.3>
  look_at <-0.2, 0.0,0.5>
  }

height_field
  {
  gif "text.gif"
  water_level .001
  smooth
  texture { White_Marble scale .1 }
  finish { ambient .15 }
  translate <-.5,-.5,-.5 >
  rotate <270,0,0>
  scale <2.5,2.5,.1>
  rotate <0,-20,0>
  translate <-.5,.3,0>
  }

light_source
  {
  < -2, 1,-5 >
  color White
/*
  area_light <4,0,0>, <0,4,0>, 10,10
  adaptive 0
  jitter
  spotlight
  point_at <0,0,0>
  tightness 1
  radius 30
  falloff 50
*/
  }

light_source
  {
  < 2, 1,-5 >
  color White
/*
  area_light < 4,0,0 >, <0,4,0>,10,10
  adaptive 0
  jitter
  spotlight
  point_at <0,0,0>
  tightness 1
  radius 30
  falloff 50
*/
  }

plane
  {
  y, -0.7
  texture { Jade scale 10 }
  normal { bumps .1 }
  finish { ambient .2 }
  }

#declare  head_loc =        < 0.8, 4.1, 0.0 >
#declare  upper_torso_loc = < 0.0, 3.0, 0.0 >
#declare  lower_torso_loc = <-1.0, 0.0, 0.0 >

#declare  left_elbow_loc =  < 0.5, 1.0, 1.5 >
#declare  left_hand_loc =   < 2.0, 2.0, 0.0 >

#declare  right_elbow_loc = <-1.5, 1.0,-1.5 >
#declare  right_hand_loc =  < 1.0, 2.0,-1.5 >

#declare  left_knee_loc =   < 0.8,-2.0, 1.0 >
#declare  left_foot_loc =   <-0.1,-4.0, 1.5 >

#declare  right_knee_loc =  < 0.7,-2.0,-2.0 >
#declare  right_foot_loc =  <-0.5,-4.0,-1.5 >

#default { texture { Jade scale .5 }}

#default
  {
  finish
    {
    ambient 0.4
    diffuse 0.8
    phong 0.6
    phong_size 45.0
    }
  }

union
  {
sphere  //------------------- head
  {
  head_loc,
  .8
  }

cylinder  //----------------- torso
  {
  lower_torso_loc,
  upper_torso_loc,
  .6
  }

cylinder  //----------------- upper right arm
  {
  upper_torso_loc,
  right_elbow_loc,
  .3
  }

cylinder  //---------------- lower right arm
  {
  right_elbow_loc,
  right_hand_loc,
  .2
  }

cylinder  //---------------- upper left arm
  {
  upper_torso_loc,
  left_elbow_loc,
  .3
  }

cylinder  //---------------- lower left arm
  {
  left_elbow_loc,
  left_hand_loc,
  .2
  }

cylinder  //---------------- upper right leg
  {
  lower_torso_loc,
  right_knee_loc,
  .4
  }

cylinder //----------------- lower right leg
  {
  right_knee_loc,
  right_foot_loc,
  .3
  }

cylinder //----------------- upper left leg
  {
  lower_torso_loc,
  left_knee_loc,
  .4
  }

cylinder //----------------- lower left leg
  {
  left_knee_loc,
  left_foot_loc,
  .3
  }

  rotate <0,85,0>
  scale <.2,.2,.2>
  translate <1,.3,0>
  }
