#include <iostream.h>
#include <conio.h>
#include <stdlib.h>
#include <string.h>
#include "menu.h"
#include "match.h"
#include "pages.h"
#include "game.h"
#include "main.h"


MarbleFighter::MarbleFighter() 
          : Theatrix("Marble Fighter")
  {
  intro=new IntroPage;
  help=new HelpPage;
  match=new Match;
  menu=new Menu;
  }

MarbleFighter::~MarbleFighter()
  {
  delete intro;
  delete help;
  delete match;
  delete menu;
  }

void MarbleFighter::use_network()
  {
  match->use_network();
  }

void MarbleFighter::use_side(int s)
  {
  match->use_side(s);
  }

int cmdline_has(int argc,char** argv,char* str)
  {
  char* p;
  for (int i=1;i<argc;i++)
    {
    p=argv[i];
    if (*p=='-' || *p=='/')  p++;
    if (stricmp(p,str)==0)
      return i;
    }
  return 0;
  }

void main(int argc,char** argv)
  {
  MarbleFighter mf;

  if (cmdline_has(argc,argv,"help"))
    {
    cout << "Marble Fighter options:\n";
    cout << "  -left     <=>  control left fighter\n";
    cout << "  -right    <=>  control right fighter (default)\n";
    cout << "  -net      <=>  play over serial cable\n";
    cout << "  -com <n>  <=>  use com <n> (defaults to 1)\n";
    return;
    }

  if (cmdline_has(argc,argv,"net"))
    {
    mf.enable_netpacks();
    mf.use_network();
    int com=cmdline_has(argc,argv,"com");
    if (com)
      mf.use_commport(atoi(argv[com+1])); 
    }

  if (cmdline_has(argc,argv,"left"))
    mf.use_side(LEFTGUY);
  else
    mf.use_side(RIGHTGUY);

  cout << "use 'MFIGHTER -help' for options\n\n";
  fg_waitfor(18);

  mf.go();
  }
