#ifndef MATCH_H
#define MATCH_H
//--------------------------------------------------------------

#include <theatrix.h>


class Fighter;
class HumanFighter;
class ComputerFighter;
class RemoteFighter;
class Card;
class LifeBar;
class Menu;

class Match : public VideoDirector
  {
public:
  Match();
 ~Match();
  const Type_info& get_next_director()
       { return typeid(Menu); }
  void display();
  void on_escape(int);
  void on_timer();
  void on_waiting(int);
  void on_quit(int);
  void take_over();
  void use_network()          { use_net=TRUE; }
  void use_side(int s)        { role=s; }
private:
  void check_for_hits();
  void initialize();
protected:
  DECLARE_CUELIST
private:
  HumanFighter* human;
  ComputerFighter* computer;
  RemoteFighter* remote;

  Fighter* leftfighter;
  Fighter* rightfighter;

  Card* lcard;
  Card* rcard; 
  LifeBar* lbar;
  LifeBar* rbar;
  int waiting;
  int role;
  int use_net;
  int setup;
  };

//--------------------------------------------------------------
#endif
