// -------------- bitpart.h

#ifndef BITPART_H
#define BITPART_H

#include "shootout.h"

const int waitcount = 100;
const int forwardsteps = 9;
const int stepincr = 2;
const int bpwalkinterval = 4;
const int bpshootinterval = 4;

class BitPart : public Player	{
protected:
	enum Mode	{
		inactive,
		entrance,
		standing,
		exiting,
		aiming,
		shooting,
		yelling,
		die,
		dying,
		applauding,
		dead
	};
	Mode mode;
private:
	Location location;
	Door *door;
	short int steps;
	short int noactivity;
	Portal clipper;
	short int enterright;
	short int exitright;
	void make_entrance();
	void hit_the_mark();
	void exit_stage();
	void swan_song();
	void fall();
	void applaud();
	friend class Shootout;
public:
	BitPart(char *gfxfile);
	virtual ~BitPart();
	virtual void initialize_bitpart();
	virtual void update_position();
	void enter(Portal cl, Door *dr, Location loc);
	void getshot();
	short int zone();
	virtual int iscitizen()
		{ return 1; }
	int isshooting()
		{ return mode == shooting || mode == aiming; }
	int isdead()
		{ return mode == die || mode == dying || mode == dead; }
};

class Sadie : public BitPart	{
public:
	Sadie() : BitPart("sadie.gfx")
		{ }
	virtual ~Sadie() { }
};

class Parson : public BitPart	{
public:
	Parson() : BitPart("parson.gfx")
		{ }
	virtual ~Parson() { }
};

class Deputy : public BitPart	{
public:
	Deputy() : BitPart("deputy.gfx")
		{ }
	virtual ~Deputy() { }
};

#endif

