// ------- main.cpp

#include "shootout.h"
#include "options.h"
#include "menu.h"
#include "help.h"

extern unsigned _stklen = 8192;

Options* options;

class ShootoutApp : public Theatrix {
public:
	ShootoutApp();
	~ShootoutApp();
private:
  	SceneryDirector *intro;
  	Help *help;
  	Shootout *shootout;
	Menu *menu;
};

ShootoutApp::ShootoutApp() : Theatrix("Shootout")
{
	intro = new SceneryDirector("intro.pcx", fade);
	menu = new Menu;
	help = new Help;
	options = new Options;
	shootout = new Shootout;
}

ShootoutApp::~ShootoutApp()
{
	delete shootout;
	delete options;
	delete help;
	delete menu;
	delete intro;
}

int main()
{
	ShootoutApp app;
	app.go();
	return 0;
}
