// --------- menu.cpp

#include "menu.h"
#include "options.h"

CUELIST(Menu)
	KEYSTROKE(ESC,  on_escape)
	KEYSTROKE('\r', on_enter)
ENDCUELIST


Menu::Menu() : SceneDirector("menu.pcx", NoTransition)
{
	pointer = new Pointer(10, 67, 125, 187);
}

Menu::~Menu()
{
	delete pointer;
}

void Menu::display()
{
	SceneDirector::display();
	pointer->appear();
}

void Menu::on_escape()
{
	start_director(typeid(StopDirector));
}

void Menu::on_enter()
{
	switch (pointer->getselection())	{
		case 0:
			start_director(typeid(Shootout));
			break;
		case 1:
			start_director(typeid(NextDirector));
			break;
		case 2:
			start_director(typeid(Options));
			break;
		default:
			start_director(typeid(StopDirector));
			break;
	}
}
