#ifndef __menu_h
#define __menu_h

#include <theatrix.h>
#include "ss.h"

const int MENUGFXITEMS=6;

const int PLAY   =1;
const int PLAYSEL=2;
const int HELP   =3;
const int HELPSEL=4;
const int QUIT   =5;
const int QUITSEL=6;

const int SWITCH=1;

class MenuItem : public Performer
{
  protected:
    int x, y, image;
  public:
    MenuItem( Director* d, int X, int Y, int Image );
    void initialize();
    void display();
    void playSwitchSound();
};

class Menu : public VideoDirector
{
  private:
    int CurSelection;
    MenuItem* item[MENUGFXITEMS+1];
  public:
    Menu();
    ~Menu();
    const Type_info& get_next_director();
    void initialize();
    void display();
    void UpdateScreen(void);
    void onUp(int);
    void onDown(int);
    void onEnter(int);
    void onEscape(int);
    void onPlay(int);
    void onHelp(int);
    void onQuit(int);
};

#endif //__menu_h
