#include <theatrix.h>


struct point
  {
  int x,y;
  };

struct pointlist
  {
  point pair[4];
  };

class Block : public Performer
  {
public:
  Block(int xx,int yy,int r,int i,pointlist* p );
  ~Block() { }
  void initialize();
  void reset();
  void set();
  void unset();
  int can_set(int x,int y);
  int can_set(int rot);
  void drop();
  void draw();
  void draw(int col,int row);
  void erase();
  void rotate();
  void move(int dir);
  int can_move(int dir);
  int can_rotate();
  void play_clip(int clip);
protected:
  int x,y,rot;
  int ox,oy,oldrot;
  int initx,inity,initrot;
  int image;
  pointlist* listptr;
private:
  int numclips;
  };

class JadeBlock : public Block
  {
public:
  JadeBlock();
  };

class BlueBlock : public Block
  {
public:
  BlueBlock();
  };

class GrayBlock : public Block
  {
public:
  GrayBlock();
  };

class PinkBlock : public Block
  {
public:
  PinkBlock();
  };

class YellBlock : public Block
  {
public:
  YellBlock();
  };

class SmokBlock : public Block
  {
public:
  SmokBlock();
  };

class TurqBlock : public Block
  {
public:
  TurqBlock();
  };
