#include "pit.h"
#include "menu.h"

class IntroPage : public SceneryDirector
  {
public:
  IntroPage() : SceneryDirector("intro.pcx")   { }
  const Type_info& get_next_director()  { return typeid(Menu); }
  };

class HelpPage : public SceneryDirector
  {
public:
  HelpPage() : SceneryDirector("help.pcx")   { }
  const Type_info& get_next_director()  { return typeid(Menu); }
  };

class Theatris : public Theatrix
  {
public:
  Theatris();
 ~Theatris();
private:
  Menu* menu;
  Pit* pit;
  IntroPage* intro;
  HelpPage* help;  
  };

Theatris::Theatris() : Theatrix("Theatris")
  {
  menu=new Menu;
  pit=new Pit;
  intro=new IntroPage;
  help=new HelpPage;
  }

Theatris::~Theatris()
  {
  delete menu;
  delete pit;
  delete intro;
  delete help;
  }

void main()
  {
  Theatris t;
  t.go(typeid(IntroPage));
  }
