#include "string.h"
#include "menu.h"


const int PLAY = 0;
const int HELP = 1;
const int QUIT = 2;

const int NUMITEMS = 3;

const int JADEX=48;
const int JADEY=19;
const int TURQX=40;
const int TURQY=93;
const int PINKX=48;
const int PINKY=159;

const int SYNCHX1 = 40;
const int SYNCHX2 = 120;

class HelpPage;
class Pit;

MenuItem::MenuItem(Director* d,char* lname,int xx,int yy) : Performer(d)
  {
  strcpy(libname,lname);
  x=xx;
  y=yy;
  image=0;
  }

void MenuItem::initialize()
  {
  load_gfxlib(libname);
  load_sfxlib("sounds.sfx");
  numimages=get_num_images();
  }

void MenuItem::update()
  {
  image=(image+1)%numimages;
  show_frame(x,y,image+1);
  }

//--------------------------------------------------------------------
Menu::Menu()
  {
  cur=PLAY;
  item[0]=new MenuItem(this,"jade.gfx",48,19);
  item[1]=new MenuItem(this,"turq.gfx",40,93);
  item[2]=new MenuItem(this,"pink.gfx",48,159);
  }

void Menu::initialize()
  {
  request_keystroke_cue(ESC,(callback)&Menu::on_escape);
  request_keystroke_cue(UP,(callback)&Menu::on_key);
  request_keystroke_cue(DN,(callback)&Menu::on_key);
  request_keystroke_cue(ENTER,(callback)&Menu::on_key);
  request_timer_cue(18,(callback)&Menu::on_timer);
  }

void Menu::display()
  {
  init_video();
  show_pcx("menu.pcx");
  item[0]->update();
  item[1]->update();
  item[2]->update();
  swap_video_pages();
  synch_video_pages();
  }

const Type_info& Menu::get_next_director()
  {
  if      (cur==PLAY)  return typeid(Pit);
  else if (cur==HELP)  return typeid(HelpPage);
  return typeid(StopDirector);
  }

void Menu::on_escape(int)
  {
  cur=QUIT;
  stop_director();
  }

void Menu::on_timer()
  {
  item[cur]->update();
  swap_video_pages();
  }

void Menu::on_key(int key)
  {
  switch (key)
    {
    case  UP:
      synch_patch(SYNCHX1,0,SYNCHX2,239);
      if (cur>0)  cur--;
      else  cur=NUMITEMS-1;
      item[cur]->update();
      swap_video_pages();
      break;
    case  DN:
      synch_patch(SYNCHX1,0,SYNCHX2,239);
      cur=(cur+1)%NUMITEMS;
      item[cur]->update();
      swap_video_pages();
      break;
    case  ENTER:
      stop_director();
      break;
    }
  }
