#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"

//--------------------------------------------- SCENE -------
#declare  RISE = -1

//--------------------------------------------- CUBES -------
#declare  CUBE_X = -3.3

#declare  JADE_Y = 3.1
#declare  TURQ_Y = 0.1
#declare  PINK_Y = -3.3

//-----------------------------------------------------------

#include "tubefont.inc"
#include "words.inc"

#include "block.inc"
#include "auxtext.inc"

camera
  {
  location < 0,0,-15 >
  direction < 0,0,1.4 >
  look_at < 0,0,0 >
  }

light_source
  {
  < 0,5,-15 >
  color White 
  }

/*
light_source  
  {
  <-10,0,-30>  color red .6 green .6 blue .6
  area_light < 4,0,0 >, <0,4,0>,10,10
  adaptive 0
  jitter

  spotlight
  point_at <0,0,0>
  tightness 0
  radius 3
  falloff 20
  }

light_source 
  {
  < 10,0,-30>  color red .6 green .6 blue .6
  area_light < 4,0,0 >, <0,4,0>,10,10
  adaptive 0
  jitter

  spotlight
  point_at <0,0,0>
  tightness 0
  radius 3
  falloff 20
  }
*/
 
box
  {
  < -10,-10,  0 >
  <  10, 10, 10 >
  pigment { Sapphire_Agate scale 2 }
  finish { Dull }
  }

//----------------------------------------------------------------------
union                            // all the lettering
  {
object
  {
  Play_Word
  rotate < 270,0,0  >
  translate < 0,3.3,RISE >
  }
object
  {
  Help_Word
  rotate < 270,0,0  >
  translate < 0,0,RISE >
  }
object
  {
  Quit_Word
  rotate < 270,0,0  >
  translate < 0,-3.4,RISE >
  }
  pigment { Gray50 }
  finish { Shiny }
  translate < 0,-1,0 >
  }


//----------------------------------------------------------------------
union                       // JADE block next to PLAY
  {
object
  {
  Block
  translate <0,1,0>
  }
object
  {
  Block
  translate <-2,-1,0>
  }
object
  {
  Block
  translate <0,-1,0>
  }
object
  {
  Block
  translate <2,-1,0>
  }
  texture { Jade }
  finish { Dull }
  scale < .4,.4,.4 >
  rotate JADE_ROT
  translate <CUBE_X,JADE_Y,RISE>
  }

//----------------------------------------------------------------------
union                       // TURQoise block next to HELP
  {
object
  {
  Block
  translate <-2,1,0>
  }
object
  {
  Block
  translate <0,1,0>
  }
object
  {
  Block
  translate <0,-1,0>
  }
object
  {
  Block
  translate <2,-1,0>
  }
  texture { Turquoise_Texture }
  finish { Dull }
  scale < .4,.4,.4 >
  rotate < 0,0,45 >
  rotate TURQ_ROT
  translate <CUBE_X,TURQ_Y,RISE>
  }

//----------------------------------------------------------------------
union                       // PINK block next to QUIT
  {
object
  {
  Block
  translate <-2,-1,0>
  }
object
  {
  Block
  translate <0,-1,0>
  }
object
  {
  Block
  translate <0,1,0>
  }
object
  {
  Block
  translate <2,1,0>
  }
  texture { Pink_Texture }
  finish { Dull }
  scale < .4,.4,.4 >
  rotate < 0,0,45 >
  rotate PINK_ROT
  translate <CUBE_X,PINK_Y,RISE>
  }

