#include <theatrix.h>
#include "game.h"
#include "block.h"


class Statistics;
class Menu;

struct row_array
  {
  Block* col[PIT_WIDTH];
  int is_full;
  };

struct pit_grid
  {
  row_array row[PIT_DEPTH];
  };

class Pit : public VideoDirector
  {
public:
  Pit();
  void initialize();
  void display();
  void hide();
  const Type_info& get_next_director()  
      { return typeid(Menu); }
private:
  void on_escape(int);
  void on_rotate(int);
  void on_left(int);
  void on_right(int);
  void on_down(int);
  void on_drop(int);
  void on_timer();
  void on_next_level();
  void on_game_over();

  void reset_current_block();
  void update_screen();
  void update_screen_pit();
  int some_rows_are_complete();
  void delete_complete_rows();
  void shift_down_at_row(int row);
  void take_over();
protected:
  DECLARE_CUELIST
private:
  int gravity_flag;
  Block* current_block;
  Statistics* statsptr;
  int level;
  int blockcount;
  JadeBlock jadeblock;
  BlueBlock blueblock;
  GrayBlock grayblock;
  PinkBlock pinkblock;
  YellBlock yellblock;
  SmokBlock smokblock;
  TurqBlock turqblock;
  };
