#include <string.h>
#include "game.h"
#include "stats.h"


CUELIST(Statistics)
  MESSAGE(NEXT_LEVEL,on_next_level)
  MESSAGE(ROWS_REMOVED,on_rows_removed)
ENDCUELIST

Statistics::Statistics(Director* d,char* gfxlib) : Performer(d)
  {
  strcpy(gfxfont,gfxlib);
  }

void Statistics::initialize()
  {
  load_gfxlib("gameover.gfx");
  load_gfxfont(gfxfont);

  leveldisplay=new NumericDisplay(my_director(),
          gfxfont,0,3,NUM_X,NUM_Y+SPC*0);
  ndisplay[0]=new NumericDisplay(my_director(),
          gfxfont,0,2,NUM_X,NUM_Y+SPC*2);
  ndisplay[1]=new NumericDisplay(my_director(),
          gfxfont,0,2,NUM_X,NUM_Y+SPC*3);
  ndisplay[2]=new NumericDisplay(my_director(),
          gfxfont,0,2,NUM_X,NUM_Y+SPC*4);
  ndisplay[3]=new NumericDisplay(my_director(),
          gfxfont,0,2,NUM_X,NUM_Y+SPC*5);
  }

void Statistics::on_next_level(int,int level)
  {
  leveldisplay->set(level);
  leveldisplay->update();
  }

void Statistics::on_rows_removed(int,int nrows)
  {
  int n=nrows-1;
  removals[n]++;
  ndisplay[n]->set(removals[n]);
  ndisplay[n]->update();
  }

void Statistics::show_game_over()
  {
  show_image(84,190,1);
  }

void Statistics::show()
  {
  show_print(LABEL_X,NUM_Y+SPC*0,"LEVEL");
  show_print(LABEL_X,NUM_Y+SPC*2,"SINGLES");
  show_print(LABEL_X,NUM_Y+SPC*3,"DOUBLES");
  show_print(LABEL_X,NUM_Y+SPC*4,"TRIPLES");
  show_print(LABEL_X,NUM_Y+SPC*5,"QUADS");

  removals[0]=removals[1]=removals[2]=removals[3]=0;

  leveldisplay->set(1);
  ndisplay[0]->set(0);
  ndisplay[1]->set(0);
  ndisplay[2]->set(0);
  ndisplay[3]->set(0);

  leveldisplay->update();
  ndisplay[0]->update();
  ndisplay[1]->update();
  ndisplay[2]->update();
  ndisplay[3]->update();

  VideoDirector::swap_video_pages();
  VideoDirector::synch_video_pages();
  }
