//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 2 lights, 4 textures and 40 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE (c) 1991-1994 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 01/25/1995    (25.01.1995)
//

//
//  This is the standard include file for POV.
//

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"

// If you don't like or want the green floor plane and the blue sky, then
// delete the following line. (To permanently delete it, remove it from
// MRYDEFLT.INC in your Moray directory.
#include "enviro.inc"

camera {  //  Camera Camera01
  location  <12.871, -11.646, 0.146>
  direction <0.0,     0.0,  1.8316>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <1.548, -2.111, 3.229>
}

// *******  L I G H T S *******
light_source {   // Light001
  <-5.356, -10.279, 6.400>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // Light002
  <9.110, 4.698, 4.849>
  color rgb <1.000, 1.000, 1.000>
}


//
// ********  T E X T U R E S  *******
//

#include "CHURCH.INC"

// ********  O B J E C T S *******
#declare LRoof = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <1.414023, 3.668295, 0.020564>
  rotate <0.000000, -45.000000, 0.000000>
  translate <-3.862889, 0.299601, 8.162653>
}

#declare RRoof = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <1.403676, 3.668295, 0.020564>
  rotate <0.000000, 45.000000, 0.000000>
  translate <-1.902373, 0.299601, 8.171910>
}

#declare Roof = union {
  object { LRoof }
  object { RRoof }
  texture {
    Shingles
  }
  scale <1.087878, 0.954819, 1.023312>
  translate <3.098322, -0.247805, -3.309572>
}
#declare MainFloor = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <2.039753, 3.363000, 1.506167>
  translate <-0.062040, 0.000000, 2.518757>
}

#declare Peak1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <2.039753, 3.363000, 1.037522>
  translate <-0.062040, -0.000899, 5.061922>
}

#declare Peak2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <2.039753, 4.198075, 1.037522>
  rotate <0.000000, 43.799892, 0.000000>
  translate <1.637654, 0.156980, 5.831735>
}

#declare Peak3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <2.039753, 4.893971, 0.759163>
  rotate <0.000000, -43.981815, 0.000000>
  translate <-1.510695, 0.156980, 5.695145>
}

#declare Peak = difference {
  object { Peak1 }
  object { Peak2 }
  object { Peak3 }
}

#declare Downstairs = union {
  object { MainFloor }
  object { Peak }
  scale <1.000000, 1.000000, 0.982643>
  translate <0.034715, 0.000000, 0.052072>
}

#declare DoorFrame = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.829837, 0.026738, 0.681504>
}

#declare DoorFrame1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.373309, 0.026738, 0.633728>
  translate <-0.391053, -0.022159, -0.035387>
}

#declare DoorFrame2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.355615, 0.026738, 0.633728>
  translate <0.398972, -0.022159, -0.035417>
}

#declare Door = difference {
  object { DoorFrame }
  object { DoorFrame1 }
  object { DoorFrame2 }
  scale <1.207964, 1.000000, 0.755305>
  translate <-0.035258, -3.386761, 2.045325>
}

#declare Step1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Concrete
  }
  scale <1.000000, 0.607135, 0.049565>
  translate <0.000000, -3.978263, 0.325335>
}

#declare Step2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Concrete
  }
  scale <1.000000, 0.557279, 0.051027>
  translate <0.000000, -3.930564, 0.425551>
}

#declare Step3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Concrete
  }
  scale <1.000000, 0.510344, 0.049565>
  translate <0.000000, -3.887056, 0.530082>
}

#declare Step4 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Concrete
  }
  scale <1.000000, 0.658152, 0.044869>
  translate <0.000000, -4.028011, 0.227997>
}

#declare Step5 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Concrete
  }
  scale <1.000000, 0.711326, 0.049565>
  translate <0.000000, -4.085881, 0.134085>
}

#declare Steps = union {
  object { Step1 }
  object { Step2 }
  object { Step3 }
  object { Step4 }
  object { Step5 }
  translate <-0.036611, 0.005746, 0.961668>
}
#declare Steeplebase = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.271467, 0.310183, 0.750760>
  translate <-0.016881, -2.868694, 6.425121>
}

#declare SteepleTop = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    WhiteTrim
  }
  scale <0.431820, 0.433113, 1.401291>
  rotate <-180.000000, 0.000000, 0.000000>
  translate <-0.024423, -2.867005, 8.575793>
}

#declare Steeple = union {
  object { Steeplebase }
  object { SteepleTop }
  translate <-0.007822, 0.066949, -0.455168>
}
#declare Vent1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    WhiteTrim
  }
  scale <0.344118, 0.338739, 0.193076>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <-0.787947, -3.555095, 1.930247>
}

#declare Vent2 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    WhiteTrim
  }
  scale <0.285441, 0.285441, 0.285441>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <-0.794180, -3.696238, 1.924562>
}

#declare VentCircle = difference {
  object { Vent1 }
  object { Vent2 }
  translate <0.787947, 3.533097, -1.926023>
}

#declare slat1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.237759, 0.077673, 0.017412>
  rotate <29.776522, 0.000000, 0.000000>
  translate <0.000000, 0.078311, 0.182725>
}

#declare slat2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.237759, 0.077673, 0.017412>
  rotate <29.776522, 0.000000, 0.000000>
  translate <0.000000, 0.069610, 0.060908>
}

#declare slat3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.237759, 0.077673, 0.017412>
  rotate <29.776522, 0.000000, 0.000000>
  translate <0.000000, 0.060908, -0.052207>
}

#declare slat4 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.237759, 0.077673, 0.017412>
  rotate <29.776522, 0.000000, 0.000000>
  translate <0.000000, 0.060908, -0.174024>
}

#declare Vent = union {
  object { VentCircle }
  object { slat1 }
  object { slat2 }
  object { slat3 }
  object { slat4 }
  translate <-0.046579, -3.406771, 3.970170>
}
#declare WindFrame = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.054032, 0.326445, 0.819676>
  translate <-0.012783, 0.000000, 0.000000>
}

#declare WindInsert = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.038360, 0.267744, 0.728991>
  translate <0.012971, 0.000000, 0.000000>
}

#declare WindowStruct = difference {
  object { WindFrame }
  object { WindInsert }
}

#declare WindGlass = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    GrayGlass
  }
  scale <0.014903, 0.267744, 0.728991>
}

#declare Window = union {
  object { WindowStruct }
  object { WindGlass }
  scale <1.015521, 1.000000, 0.953437>
  translate <2.052324, 0.000000, 2.548891>
}
#declare WindFrame1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.054032, 0.326445, 0.819676>
  translate <-0.012783, 0.000000, 0.000000>
}

#declare WindInsert1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.038360, 0.267744, 0.728991>
  translate <0.012971, 0.000000, 0.000000>
}

#declare WindowStruct1 = difference {
  object { WindFrame1 }
  object { WindInsert1 }
}

#declare WindGlass1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    GrayGlass
  }
  scale <0.014903, 0.267744, 0.728991>
}

#declare Window1 = union {
  object { WindowStruct1 }
  object { WindGlass1 }
  scale <1.015521, 1.000000, 0.953437>
  translate <2.052324, -2.032760, 2.548891>
}
#declare WindFrame2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.054032, 0.326445, 0.819676>
  translate <-0.012783, 0.000000, 0.000000>
}

#declare WindInsert2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.038360, 0.267744, 0.728991>
  translate <0.012971, 0.000000, 0.000000>
}

#declare WindowStruct2 = difference {
  object { WindFrame2 }
  object { WindInsert2 }
}

#declare WindGlass2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    GrayGlass
  }
  scale <0.014903, 0.267744, 0.728991>
}

#declare Window2 = union {
  object { WindowStruct2 }
  object { WindGlass2 }
  scale <1.015521, 1.000000, 0.953437>
  translate <2.052324, 2.015678, 2.546414>
}
#declare WindFrame3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.054032, 0.326445, 0.819676>
  translate <-0.012783, 0.000000, 0.000000>
}

#declare WindInsert3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.038360, 0.267744, 0.728991>
  translate <0.012971, 0.000000, 0.000000>
}

#declare WindowStruct3 = difference {
  object { WindFrame3 }
  object { WindInsert3 }
}

#declare WindGlass3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    GrayGlass
  }
  scale <0.014903, 0.267744, 0.728991>
}

#declare Window3 = union {
  object { WindowStruct3 }
  object { WindGlass3 }
  scale <1.015521, 1.000000, 0.953437>
  rotate <0.000000, 0.000000, -180.000000>
  translate <-2.102085, 2.015678, 2.547762>
}
#declare WindFrame4 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.054032, 0.326445, 0.819676>
  translate <-0.012783, 0.000000, 0.000000>
}

#declare WindInsert4 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.038360, 0.267744, 0.728991>
  translate <0.012971, 0.000000, 0.000000>
}

#declare WindowStruct4 = difference {
  object { WindFrame4 }
  object { WindInsert4 }
}

#declare WindGlass4 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    GrayGlass
  }
  scale <0.014903, 0.267744, 0.728991>
}

#declare Window4 = union {
  object { WindowStruct4 }
  object { WindGlass4 }
  scale <1.015521, 1.000000, 0.953437>
  rotate <0.000000, 0.000000, -180.000000>
  translate <-2.102085, 0.001089, 2.547762>
}
#declare WindFrame5 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.054032, 0.326445, 0.819676>
  translate <-0.012783, 0.000000, 0.000000>
}

#declare WindInsert5 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhiteTrim
  }
  scale <0.038360, 0.267744, 0.728991>
  translate <0.012971, 0.000000, 0.000000>
}

#declare WindowStruct5 = difference {
  object { WindFrame5 }
  object { WindInsert5 }
}

#declare WindGlass5 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    GrayGlass
  }
  scale <0.014903, 0.267744, 0.728991>
}

#declare Window5 = union {
  object { WindowStruct5 }
  object { WindGlass5 }
  scale <1.015521, 1.000000, 0.953437>
  rotate <0.000000, 0.000000, -180.000000>
  translate <-2.102085, -2.033059, 2.557542>
}
union {   // Church
  object { Roof }
  object { Downstairs }
  object { Door }
  object { Steps }
  object { Steeple }
  object { Vent }
  object { Window }
  object { Window1 }
  object { Window2 }
  object { Window3 }
  object { Window4 }
  object { Window5 }
  scale <0.952669, 1.000000, 1.000000>
  translate <0.017771, 0.000000, -1.021403>
}
