//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 1 lights, 5 textures and 12 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE (c) 1991-1994 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 01/23/1995    (23.01.1995)
//

//
//  This is the standard include file for POV.
//

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"

// If you don't like or want the green floor plane and the blue sky, then
// delete the following line. (To permanently delete it, remove it from
// MRYDEFLT.INC in your Moray directory.
#include "enviro.inc"

camera {  //  Camera Camera01
  location  <2.798, 6.440, 1.326>
  direction <0.0,     0.0,  2.4880>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <0.000, 0.000, 1.000>
}

// *******  L I G H T S *******
light_source {   // Light001
  <-1.530, 4.702, 1.013>
  color rgb <1.000, 1.000, 1.000>
}


//
// ********  T E X T U R E S  *******
//

#include "DORMER.INC"

// ********  O B J E C T S *******
#declare Frame = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Trim
  }
  scale <0.893000, 0.202224, 1.630954>
  translate <0.038852, 0.000000, 0.036733>
}

#declare Aperture1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368249, 0.048418, 0.405632>
}

#declare Aperture2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.761188, 0.247925, 0.674611>
  translate <0.048746, 0.097766, -0.728309>
}

#declare Aperture3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.452554, 0.048418, 1.215533>
}

#declare Aperture4 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368293, 0.048418, 1.215578>
}

#declare Aperture5 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.453895, 0.062207, 0.405587>
}

#declare WindowFrame = difference {
  object { Frame }
  object { Aperture1 }
  object { Aperture2 }
  object { Aperture3 }
  object { Aperture4 }
  object { Aperture5 }
  scale <1.317446, 0.408546, 1.020814>
  translate <-0.057270, -2.034703, 0.157719>
}

#declare Pane = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Glass
  }
  scale <1.036765, 0.027587, 1.543270>
  translate <0.021169, -2.022386, 0.261143>
}

#declare Sill = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Trim
  }
  scale <1.237546, 0.236835, 0.091185>
  translate <-0.021065, -1.881888, -1.561797>
}

union {   // Window
  object { WindowFrame }
  object { Pane }
  object { Sill }
  scale <0.280500, 0.280500, 0.280500>
  translate <-0.023188, 1.360805, 0.996033>
}
#declare Peak1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    siding
  }
  scale <1.441856, 1.441856, 1.441856>
  rotate <0.000000, -45.000000, 0.000000>
  translate <-0.071828, 0.000000, 4.003413>
}

#declare LRoof1 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <1.434507, 3.668295, 0.050000>
  rotate <0.000000, -45.000000, 0.000000>
  translate <-3.862889, 0.299601, 8.162653>
}

#declare RRoof1 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <1.434507, 3.668295, 0.050000>
  rotate <0.000000, 45.000000, 0.000000>
  translate <-1.904564, 0.299601, 8.165337>
}

#declare Roof1 = union {
  object { LRoof1 }
  object { RRoof1 }
  texture {
    Shingles
  }
  scale <1.093670, 1.055792, 1.029104>
  translate <3.085088, -0.327122, -3.326309>
}
#declare BaseStructure = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    siding
  }
  scale <2.039753, 3.363000, 1.506167>
  translate <-0.062040, 0.000000, 2.518757>
}

union {   // Dormer
  object { Peak1 }
  object { Roof1 }
  object { BaseStructure }
  scale <0.287991, 0.234039, 0.323592>
}
