//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 1 lights, 8 textures and 63 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE (c) 1991-1994 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 01/27/1995    (27.01.1995)
//

//
//  This is the standard include file for POV.
//

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"

// If you don't like or want the green floor plane and the blue sky, then
// delete the following line. (To permanently delete it, remove it from
// MRYDEFLT.INC in your Moray directory.
#include "enviro.inc"

camera {  //  Camera Camera01
  location  <20.915, 4.505, 4.889>
  direction <0.0,     0.0,  2.4880>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <0.000, -0.333, 1.813>
}

// *******  L I G H T S *******
light_source {   // Light001
  <21.482, 4.726, 4.252>
  color rgb <1.000, 1.000, 1.000>
}


//
// ********  T E X T U R E S  *******
//

#include "HOUSE.INC"

// ********  O B J E C T S *******
#declare Peak = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <1.429773, 3.363259, 1.468673>
  rotate <0.000000, -45.000000, 0.000000>
  translate <-0.071828, 0.000000, 4.003413>
}

#declare LRoof = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <1.434507, 3.668295, 0.050000>
  rotate <0.000000, -45.000000, 0.000000>
  translate <-3.862889, 0.299601, 8.162653>
}

#declare RRoof = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <1.434507, 3.668295, 0.050000>
  rotate <0.000000, 45.000000, 0.000000>
  translate <-1.904564, 0.299601, 8.165337>
}

#declare Roof = union {
  object { LRoof }
  object { RRoof }
  texture {
    Shingles
  }
  scale <1.087878, 0.991703, 1.023312>
  translate <3.037458, -0.327122, -3.359847>
}
#declare Frame1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Trim
  }
  scale <0.872299, 0.202224, 0.916773>
  translate <0.028502, 0.000000, 0.781966>
}

#declare Aperture6 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368249, 0.048418, 0.405632>
}

#declare Aperture7 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.452554, 0.048418, 1.215533>
}

#declare Aperture8 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368293, 0.048418, 1.215578>
}

#declare Aperture9 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.453895, 0.062207, 0.405587>
}

#declare WindowFrame1 = difference {
  object { Frame1 }
  object { Aperture6 }
  object { Aperture7 }
  object { Aperture8 }
  object { Aperture9 }
  scale <1.317446, 0.408546, 1.020814>
  translate <-0.057270, -2.034703, 0.157719>
}

#declare Pane1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Glass
  }
  scale <1.005713, 0.027587, 0.798037>
  translate <-0.020233, -2.022386, 0.985674>
}

#declare Window1 = union {
  object { WindowFrame1 }
  object { Pane1 }
  scale <0.306642, 0.306642, 0.306642>
  rotate <0.000000, 0.000000, -90.000000>
  translate <2.661796, 0.046969, 2.297641>
}
#declare DoorFrame = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Trim
  }
  scale <0.079815, 0.555854, 1.045753>
  translate <2.001636, 0.039657, 2.071712>
}

#declare DoorInsert = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Trim
  }
  scale <0.035402, 0.424180, 0.978285>
  translate <2.054723, 0.039657, 1.986548>
}

#declare DoorAssembly = difference {
  object { DoorFrame }
  object { DoorInsert }
}

#declare Doorknob = object { 
  sphere {<0,0,0>,1}
  texture {
    Brass_Texture
  }
  scale <0.031426, 0.031426, 0.031426>
  translate <2.053150, -0.265961, 1.962370>
}

#declare Door = union {
  object { Window1 }
  object { DoorAssembly }
  object { Doorknob }
  translate <-0.040964, 0.000000, -0.043862>
}
#declare Stoop = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Concrete
  }
  scale <0.226934, 0.544730, 0.065146>
  translate <2.277424, 0.031358, 1.086411>
}

#declare Peak1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <1.441856, 3.326928, 1.464705>
  rotate <0.000000, -45.000000, 0.000000>
  translate <-0.071828, 0.000000, 4.003413>
}

#declare LRoof1 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <1.434507, 3.668295, 0.050000>
  rotate <0.000000, -45.000000, 0.000000>
  translate <-3.862889, 0.299601, 8.162653>
}

#declare RRoof1 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <1.434507, 3.668295, 0.050000>
  rotate <0.000000, 45.000000, 0.000000>
  translate <-1.904564, 0.299601, 8.165337>
}

#declare Roof1 = union {
  object { LRoof1 }
  object { RRoof1 }
  texture {
    Shingles
  }
  scale <1.093670, 1.055792, 1.017520>
  translate <3.085088, -0.327122, -3.326309>
}
#declare BaseStructure = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <2.039753, 3.363000, 1.506167>
  translate <-0.062040, 0.000000, 2.518757>
}

#declare Frame2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Trim
  }
  scale <0.893000, 0.202224, 1.630954>
  translate <0.038852, 0.000000, 0.036733>
}

#declare Aperture10 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368249, 0.048418, 0.405632>
}

#declare Aperture11 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.761188, 0.247925, 0.674611>
  translate <0.048746, 0.097766, -0.728309>
}

#declare Aperture12 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.452554, 0.048418, 1.215533>
}

#declare Aperture13 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368293, 0.048418, 1.215578>
}

#declare Aperture14 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.453895, 0.062207, 0.405587>
}

#declare WindowFrame2 = difference {
  object { Frame2 }
  object { Aperture10 }
  object { Aperture11 }
  object { Aperture12 }
  object { Aperture13 }
  object { Aperture14 }
  scale <1.317446, 0.408546, 1.020814>
  translate <-0.057270, -2.034703, 0.157719>
}

#declare Pane2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Glass
  }
  scale <1.036765, 0.027587, 1.543270>
  translate <0.021169, -2.022386, 0.261143>
}

#declare Sill1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Trim
  }
  scale <1.237546, 0.236835, 0.091185>
  translate <-0.021065, -1.881888, -1.561797>
}

#declare Window2 = union {
  object { WindowFrame2 }
  object { Pane2 }
  object { Sill1 }
  scale <0.901284, 0.860742, 0.860742>
  translate <-0.046333, 5.180967, 3.003359>
}
#declare Dormer = union {
  object { Peak1 }
  object { Roof1 }
  object { BaseStructure }
  object { Window2 }
  scale <0.287991, 0.234039, 0.323592>
  rotate <0.000000, 0.000000, -90.000000>
  translate <1.055267, 1.979234, 3.895636>
}
#declare Peak2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <1.441856, 3.326928, 1.464705>
  rotate <0.000000, -45.000000, 0.000000>
  translate <-0.071828, 0.000000, 4.003413>
}

#declare LRoof2 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <1.434507, 3.668295, 0.050000>
  rotate <0.000000, -45.000000, 0.000000>
  translate <-3.862889, 0.299601, 8.162653>
}

#declare RRoof2 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <1.434507, 3.668295, 0.050000>
  rotate <0.000000, 45.000000, 0.000000>
  translate <-1.904564, 0.299601, 8.165337>
}

#declare Roof2 = union {
  object { LRoof2 }
  object { RRoof2 }
  texture {
    Shingles
  }
  scale <1.093670, 1.055792, 1.017520>
  translate <3.085088, -0.327122, -3.326309>
}
#declare BaseStructure1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <2.039753, 3.363000, 1.506167>
  translate <-0.062040, 0.000000, 2.518757>
}

#declare Frame3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Trim
  }
  scale <0.893000, 0.202224, 1.630954>
  translate <0.038852, 0.000000, 0.036733>
}

#declare Aperture15 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368249, 0.048418, 0.405632>
}

#declare Aperture16 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.761188, 0.247925, 0.674611>
  translate <0.048746, 0.097766, -0.728309>
}

#declare Aperture17 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.452554, 0.048418, 1.215533>
}

#declare Aperture18 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368293, 0.048418, 1.215578>
}

#declare Aperture19 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.453895, 0.062207, 0.405587>
}

#declare WindowFrame3 = difference {
  object { Frame3 }
  object { Aperture15 }
  object { Aperture16 }
  object { Aperture17 }
  object { Aperture18 }
  object { Aperture19 }
  scale <1.317446, 0.408546, 1.020814>
  translate <-0.057270, -2.034703, 0.157719>
}

#declare Pane3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Glass
  }
  scale <1.036765, 0.027587, 1.543270>
  translate <0.021169, -2.022386, 0.261143>
}

#declare Sill2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Trim
  }
  scale <1.237546, 0.236835, 0.091185>
  translate <-0.021065, -1.881888, -1.561797>
}

#declare Window3 = union {
  object { WindowFrame3 }
  object { Pane3 }
  object { Sill2 }
  scale <0.901284, 0.860742, 0.860742>
  translate <-0.046333, 5.180967, 3.003359>
}
#declare Dormer1 = union {
  object { Peak2 }
  object { Roof2 }
  object { BaseStructure1 }
  object { Window3 }
  scale <0.287991, 0.234039, 0.323592>
  rotate <0.000000, 0.000000, -90.000000>
  translate <1.050456, -2.013597, 3.895636>
}
#declare Frame = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Trim
  }
  scale <0.893000, 0.202224, 1.630954>
  translate <0.038852, 0.000000, 0.036733>
}

#declare Aperture1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368249, 0.048418, 0.405632>
}

#declare Aperture2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.761188, 0.247925, 0.674611>
  translate <0.048746, 0.097766, -0.728309>
}

#declare Aperture3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.452554, 0.048418, 1.215533>
}

#declare Aperture4 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368293, 0.048418, 1.215578>
}

#declare Aperture5 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.453895, 0.062207, 0.405587>
}

#declare WindowFrame = difference {
  object { Frame }
  object { Aperture1 }
  object { Aperture2 }
  object { Aperture3 }
  object { Aperture4 }
  object { Aperture5 }
  scale <1.317446, 0.408546, 1.020814>
  translate <-0.057270, -2.034703, 0.157719>
}

#declare Pane = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Glass
  }
  scale <1.036765, 0.027587, 1.543270>
  translate <0.021169, -2.022386, 0.261143>
}

#declare Sill = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Trim
  }
  scale <1.237546, 0.236835, 0.091185>
  translate <-0.021065, -1.881888, -1.561797>
}

#declare Window = union {
  object { WindowFrame }
  object { Pane }
  object { Sill }
  scale <0.403088, 0.403088, 0.403088>
  translate <-0.108179, 4.235282, 2.355409>
}
#declare Frame4 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Trim
  }
  scale <0.893000, 0.202224, 1.630954>
  translate <0.038852, 0.000000, 0.036733>
}

#declare Aperture20 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368249, 0.048418, 0.405632>
}

#declare Aperture21 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.761188, 0.247925, 0.674611>
  translate <0.048746, 0.097766, -0.728309>
}

#declare Aperture22 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.452554, 0.048418, 1.215533>
}

#declare Aperture23 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368293, 0.048418, 1.215578>
}

#declare Aperture24 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.453895, 0.062207, 0.405587>
}

#declare WindowFrame4 = difference {
  object { Frame4 }
  object { Aperture20 }
  object { Aperture21 }
  object { Aperture22 }
  object { Aperture23 }
  object { Aperture24 }
  scale <1.317446, 0.408546, 1.020814>
  translate <-0.057270, -2.034703, 0.157719>
}

#declare Pane4 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Glass
  }
  scale <1.036765, 0.027587, 1.543270>
  translate <0.021169, -2.022386, 0.261143>
}

#declare Sill3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Trim
  }
  scale <1.237546, 0.236835, 0.091185>
  translate <-0.021065, -1.881888, -1.561797>
}

#declare Window4 = union {
  object { WindowFrame4 }
  object { Pane4 }
  object { Sill3 }
  scale <0.403088, 0.403088, 0.403088>
  rotate <0.000000, 0.000000, -90.000000>
  translate <2.828148, -1.985169, 2.356222>
}
#declare Frame5 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Trim
  }
  scale <0.893000, 0.202224, 1.630954>
  translate <0.038852, 0.000000, 0.036733>
}

#declare Aperture25 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368249, 0.048418, 0.405632>
}

#declare Aperture26 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.761188, 0.247925, 0.674611>
  translate <0.048746, 0.097766, -0.728309>
}

#declare Aperture27 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.452554, 0.048418, 1.215533>
}

#declare Aperture28 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368293, 0.048418, 1.215578>
}

#declare Aperture29 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.453895, 0.062207, 0.405587>
}

#declare WindowFrame5 = difference {
  object { Frame5 }
  object { Aperture25 }
  object { Aperture26 }
  object { Aperture27 }
  object { Aperture28 }
  object { Aperture29 }
  scale <1.317446, 0.408546, 1.020814>
  translate <-0.057270, -2.034703, 0.157719>
}

#declare Pane5 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Glass
  }
  scale <1.036765, 0.027587, 1.543270>
  translate <0.021169, -2.022386, 0.261143>
}

#declare Sill4 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Trim
  }
  scale <1.237546, 0.236835, 0.091185>
  translate <-0.021065, -1.881888, -1.561797>
}

#declare Window5 = union {
  object { WindowFrame5 }
  object { Pane5 }
  object { Sill4 }
  scale <0.403088, 0.403088, 0.403088>
  rotate <0.000000, 0.000000, -90.000000>
  translate <2.828148, 1.973300, 2.358832>
}
#declare Chimney = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Bricks
    scale <0.469687, 0.045874, 0.786000>
    translate <-1.148190, -1.000000, 0.318608>
  }
  scale <0.341141, 2.661513, 0.160387>
  rotate <270.000000, 0.000000, 0.000000>
  translate <-0.109047, -3.529820, 3.646093>
}

#declare MainFloor = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <2.039753, 3.363000, 1.506167>
  translate <-0.062040, 0.000000, 2.493906>
}

union {   // House
  object { Peak }
  object { Roof }
  object { Door }
  object { Stoop }
  object { Dormer }
  object { Dormer1 }
  object { Window }
  object { Window4 }
  object { Window5 }
  object { Chimney }
  object { MainFloor }
  translate <0.017771, 0.000000, -1.021403>
}
