//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 2 lights, 7 textures and 58 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE (c) 1991-1994 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 02/04/1995    (04.02.1995)
//

//
//  This is the standard include file for POV.
//

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"

// If you don't like or want the green floor plane and the blue sky, then
// delete the following line. (To permanently delete it, remove it from
// MRYDEFLT.INC in your Moray directory.
#include "enviro.inc"

camera {  //  Camera Camera01
  location  <15.398, -11.634, 2.740>
  direction <0.0,     0.0,  2.5004>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <-0.264, 0.174, 2.571>
}

// *******  L I G H T S *******
light_source {   // Light001
  <12.147, 9.065, 2.584>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // Light2
  <-6.870, -9.745, 2.584>
  color rgb <1.000, 1.000, 1.000>
}


//
// ********  T E X T U R E S  *******
//

#include "HOUSE1.INC"

// ********  O B J E C T S *******
#declare Frame1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhitePaint
  }
  scale <0.872299, 0.202224, 0.916773>
  translate <0.028502, 0.000000, 0.781966>
}

#declare Aperture6 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368249, 0.048418, 0.405632>
}

#declare Aperture7 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.452554, 0.048418, 1.215533>
}

#declare Aperture8 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368293, 0.048418, 1.215578>
}

#declare Aperture9 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.453895, 0.062207, 0.405587>
}

#declare WindowFrame1 = difference {
  object { Frame1 }
  object { Aperture6 }
  object { Aperture7 }
  object { Aperture8 }
  object { Aperture9 }
  scale <1.317446, 0.408546, 1.020814>
  translate <-0.057270, -2.034703, 0.157719>
}

#declare Pane1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Glass
  }
  scale <1.005713, 0.027587, 0.798037>
  translate <-0.020233, -2.022386, 0.985674>
}

#declare Window1 = union {
  object { WindowFrame1 }
  object { Pane1 }
  scale <0.306642, 0.306642, 0.306642>
  rotate <0.000000, 0.000000, -90.000000>
  translate <2.661796, 0.046969, 2.297641>
}
#declare DoorFrame = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhitePaint
  }
  scale <0.079815, 0.555854, 1.045753>
  translate <2.001636, 0.039657, 2.071712>
}

#declare DoorInsert = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhitePaint
  }
  scale <0.035402, 0.424180, 0.978285>
  translate <2.081442, 0.039657, 1.986548>
}

#declare DoorAssembly = difference {
  object { DoorFrame }
  object { DoorInsert }
}

#declare Doorknob = object { 
  sphere {<0,0,0>,1}
  texture {
    Brass_Texture
  }
  scale <0.031426, 0.031426, 0.031426>
  translate <2.053150, -0.265961, 1.962370>
}

#declare Door = union {
  object { Window1 }
  object { DoorAssembly }
  object { Doorknob }
  translate <-0.040964, 0.000000, -0.043862>
}
#declare Frame2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhitePaint
  }
  scale <0.893000, 0.202224, 1.630954>
  translate <0.038852, 0.000000, 0.036733>
}

#declare Aperture10 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368249, 0.048418, 0.405632>
}

#declare Aperture11 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.761188, 0.247925, 0.674611>
  translate <0.048746, 0.097766, -0.728309>
}

#declare Aperture12 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.452554, 0.048418, 1.215533>
}

#declare Aperture13 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368293, 0.048418, 1.215578>
}

#declare Aperture14 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.453895, 0.062207, 0.405587>
}

#declare WindowFrame2 = difference {
  object { Frame2 }
  object { Aperture10 }
  object { Aperture11 }
  object { Aperture12 }
  object { Aperture13 }
  object { Aperture14 }
  scale <1.317446, 0.408546, 1.020814>
  translate <-0.057270, -2.034703, 0.157719>
}

#declare Pane2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Glass
  }
  scale <1.036765, 0.027587, 1.543270>
  translate <0.021169, -2.022386, 0.261143>
}

#declare Sill1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhitePaint
  }
  scale <1.237546, 0.236835, 0.091185>
  translate <-0.021065, -1.881888, -1.561797>
}

#declare Window2 = union {
  object { WindowFrame2 }
  object { Pane2 }
  object { Sill1 }
  scale <0.403088, 0.403088, 0.403088>
  translate <-0.108179, 4.259508, 2.355409>
}
#declare Frame4 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhitePaint
  }
  scale <0.893000, 0.202224, 1.630954>
  translate <0.038852, 0.000000, 0.036733>
}

#declare Aperture20 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368249, 0.048418, 0.405632>
}

#declare Aperture21 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.761188, 0.247925, 0.674611>
  translate <0.048746, 0.097766, -0.728309>
}

#declare Aperture22 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.452554, 0.048418, 1.215533>
}

#declare Aperture23 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368293, 0.048418, 1.215578>
}

#declare Aperture24 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.453895, 0.062207, 0.405587>
}

#declare WindowFrame4 = difference {
  object { Frame4 }
  object { Aperture20 }
  object { Aperture21 }
  object { Aperture22 }
  object { Aperture23 }
  object { Aperture24 }
  scale <1.317446, 0.408546, 1.020814>
  translate <-0.057270, -2.034703, 0.157719>
}

#declare Pane4 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Glass
  }
  scale <1.036765, 0.027587, 1.543270>
  translate <0.021169, -2.022386, 0.261143>
}

#declare Sill3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhitePaint
  }
  scale <1.237546, 0.236835, 0.091185>
  translate <-0.021065, -1.881888, -1.561797>
}

#declare Window4 = union {
  object { WindowFrame4 }
  object { Pane4 }
  object { Sill3 }
  scale <0.403088, 0.403088, 0.403088>
  rotate <0.000000, 0.000000, -90.000000>
  translate <2.834768, -1.985169, 2.358870>
}
#declare Frame5 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhitePaint
  }
  scale <0.893000, 0.202224, 1.630954>
  translate <0.038852, 0.000000, 0.036733>
}

#declare Aperture25 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368249, 0.048418, 0.405632>
}

#declare Aperture26 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.761188, 0.247925, 0.674611>
  translate <0.048746, 0.097766, -0.728309>
}

#declare Aperture27 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.452554, 0.048418, 1.215533>
}

#declare Aperture28 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368293, 0.048418, 1.215578>
}

#declare Aperture29 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.453895, 0.062207, 0.405587>
}

#declare WindowFrame5 = difference {
  object { Frame5 }
  object { Aperture25 }
  object { Aperture26 }
  object { Aperture27 }
  object { Aperture28 }
  object { Aperture29 }
  scale <1.317446, 0.408546, 1.020814>
  translate <-0.057270, -2.034703, 0.157719>
}

#declare Pane5 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Glass
  }
  scale <1.036765, 0.027587, 1.543270>
  translate <0.021169, -2.022386, 0.261143>
}

#declare Sill4 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhitePaint
  }
  scale <1.237546, 0.236835, 0.091185>
  translate <-0.021065, -1.881888, -1.561797>
}

#declare Window5 = union {
  object { WindowFrame5 }
  object { Pane5 }
  object { Sill4 }
  scale <0.403088, 0.403088, 0.403088>
  rotate <0.000000, 0.000000, -90.000000>
  translate <2.833444, 1.973300, 2.358832>
}
#declare Soffit1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhitePaint
  }
  scale <0.154713, 3.371660, 0.057660>
  translate <2.013803, 0.000000, 3.879693>
}

#declare Soffit2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhitePaint
  }
  scale <0.157241, 3.371660, 0.068533>
  translate <-2.150133, 0.000000, 3.868451>
}

#declare LRoof = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <1.434507, 3.668295, 0.050000>
  rotate <0.000000, -45.000000, 0.000000>
  translate <-3.862889, 0.299601, 8.162653>
}

#declare RRoof = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <1.434507, 3.668295, 0.050000>
  rotate <0.000000, 45.000000, 0.000000>
  translate <-1.904564, 0.299601, 8.165337>
}

#declare Roof = union {
  object { LRoof }
  object { RRoof }
  texture {
    Shingles
  }
  scale <1.189353, 1.038206, 1.187317>
  translate <3.344074, -0.304247, -4.706405>
}
#declare Peak = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhitePaint
  }
  scale <1.429773, 3.363259, 1.468673>
  rotate <0.000000, -45.000000, 0.000000>
  translate <-0.071828, 0.000000, 4.003413>
}

#declare MainFloor = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhitePaint
  }
  scale <2.039753, 3.363000, 1.506167>
  translate <-0.062040, 0.000000, 2.493906>
}

#declare HouseFrame = merge {
  object { Peak }
  object { MainFloor }
}

#declare BrickSides = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Bricks
    scale <0.123627, 0.152629, 0.027480>
    translate <-1.148190, -1.000000, 0.318608>
  }
  scale <2.040986, 1.387478, 3.398252>
  rotate <270.000000, 0.000000, 0.000000>
  translate <-0.063102, 0.003579, 2.558830>
}

#declare BrickFront = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Bricks
    scale <0.123627, 0.152629, 0.027480>
    translate <-1.148190, -1.000000, 0.318608>
  }
  scale <3.369592, 1.387478, 2.048075>
  rotate <270.000000, 0.000000, 90.000000>
  translate <-0.063102, 0.003579, 2.558830>
}

#declare Frame3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhitePaint
  }
  scale <0.893000, 0.202224, 1.630954>
  translate <0.038852, 0.000000, 0.036733>
}

#declare Aperture15 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368249, 0.048418, 0.405632>
}

#declare Aperture16 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.761188, 0.247925, 0.674611>
  translate <0.048746, 0.097766, -0.743543>
}

#declare Aperture17 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.452554, 0.048418, 1.215533>
}

#declare Aperture18 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368293, 0.048418, 1.215578>
}

#declare Aperture19 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.453895, 0.062207, 0.405587>
}

#declare WindowFrame3 = difference {
  object { Frame3 }
  object { Aperture15 }
  object { Aperture16 }
  object { Aperture17 }
  object { Aperture18 }
  object { Aperture19 }
  scale <1.317446, 0.408546, 1.020814>
  translate <-0.057270, -2.034703, 0.157719>
}

#declare Pane3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Glass
  }
  scale <1.036765, 0.027587, 1.543270>
  translate <0.021169, -2.022386, 0.261143>
}

#declare Sill2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhitePaint
  }
  scale <1.237546, 0.236835, 0.091185>
  translate <-0.021065, -1.881888, -1.561797>
}

#declare Window3 = union {
  object { WindowFrame3 }
  object { Pane3 }
  object { Sill2 }
  scale <0.403088, 0.403088, 0.403088>
  rotate <0.000000, 0.000000, 180.000000>
  translate <-0.117446, -4.252606, 2.359649>
}
#declare Chimney = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Bricks
    scale <0.123627, 0.152629, 0.027480>
    translate <-1.148190, -1.000000, 0.318608>
  }
  scale <0.341141, 2.661513, 0.160387>
  rotate <270.000000, 0.000000, 0.000000>
  translate <-0.109047, 2.641892, 3.965705>
}

#declare Chimney1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Bricks
    scale <0.123627, 0.152629, 0.027480>
    translate <-1.148190, -1.000000, 0.318608>
  }
  scale <0.341141, 2.661513, 0.160387>
  rotate <270.000000, 0.000000, 0.000000>
  translate <-0.109047, -2.619875, 3.964574>
}

#declare LRoof1 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <1.434507, 3.668295, 0.050000>
  rotate <0.000000, -45.000000, 0.000000>
  translate <-3.862889, 0.299601, 8.162653>
}

#declare RRoof1 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <1.434507, 3.668295, 0.050000>
  rotate <0.000000, 45.000000, 0.000000>
  translate <-1.904564, 0.299601, 8.165337>
}

#declare Roof1 = union {
  object { LRoof1 }
  object { RRoof1 }
  texture {
    Shingles
  }
  scale <1.093670, 1.055792, 1.017520>
  translate <3.085088, -0.327122, -3.326309>
}
#declare Peak1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhitePaint
  }
  scale <1.441856, 3.326928, 1.464705>
  rotate <0.000000, -45.000000, 0.000000>
  translate <-0.071828, 0.000000, 4.003413>
}

#declare BaseStructure = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhitePaint
  }
  scale <2.002615, 3.363000, 1.068096>
  translate <-0.080608, 0.000000, 2.884070>
}

#declare PorchTop = difference {
  object { Peak1 }
  object { BaseStructure }
}

#declare Stoop = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Concrete
  }
  scale <1.946550, 3.015064, 0.249484>
  translate <-0.101797, -0.616635, -6.681087>
}

#declare Column1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    WhitePaint
  }
  scale <0.185373, 0.715021, 10.540558>
  translate <1.347118, -1.946680, -6.531335>
}

#declare Column2 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    WhitePaint
  }
  scale <0.185373, 0.715021, 10.540558>
  translate <-1.495114, -1.875067, -6.439126>
}

#declare Porch = union {
  object { Roof1 }
  object { PorchTop }
  object { Stoop }
  object { Column1 }
  object { Column2 }
  scale <0.306269, 0.078163, 0.195143>
  rotate <0.000000, 0.000000, 90.000000>
  translate <2.239611, 0.074180, 2.360249>
}
union {   // House
  object { Door }
  object { Window2 }
  object { Window4 }
  object { Window5 }
  object { Soffit1 }
  object { Soffit2 }
  object { Roof }
  object { HouseFrame }
  object { BrickSides }
  object { BrickFront }
  object { Window3 }
  object { Chimney }
  object { Chimney1 }
  object { Porch }
  translate <0.017771, 0.000000, -1.021403>
}
