//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 1 lights, 2 textures and 29 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE (c) 1991-1994 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 04/13/1995    (13.04.1995)
//

//
//  This is the standard include file for POV.
//

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"

// If you don't like or want the green floor plane and the blue sky, then
// delete the following line. (To permanently delete it, remove it from
// MRYDEFLT.INC in your Moray directory.
//#include "enviro.inc"

camera {  //  Camera Camera01
  location  <-28.062, -26.918, 12.370>
  direction <0.0,     0.0,  2.4880>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <-0.499, 0.569, 6.880>
}

// *******  L I G H T S *******
light_source {   // Light001
  <-3.525, -8.389, 1.766>
  color rgb <1.000, 1.000, 1.000>
}


//
// ********  T E X T U R E S  *******
//

#include "ROBOT.INC"

// ********  O B J E C T S *******
#declare Skull = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <1.000000, 1.000000, 1.743494>
}

#declare EyeLids = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <1.300000, 1.300000, 3.389290>
}

#declare EyeBall = object { 
  sphere {<0,0,0>,1}
  texture {
    Glass
  }
  translate <0.000000, 0.000000, 0.371747>
}

#declare RightEye = merge {
  object { EyeLids }
  object { EyeBall }
  scale <0.146414, 0.146414, 0.146414>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <-0.406631, -1.003224, 1.108157>
}

#declare EyeLids1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <1.300000, 1.300000, 3.389290>
}

#declare EyeBall1 = object { 
  sphere {<0,0,0>,1}
  texture {
    Glass
  }
  translate <0.000000, 0.000000, 0.371747>
}

#declare LeftEye = merge {
  object { EyeLids1 }
  object { EyeBall1 }
  scale <0.146414, 0.146414, 0.146414>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <0.403255, -1.002596, 1.101543>
}

#declare JawHinge = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <1.191929, 1.191572, 0.812857>
  translate <0.000000, 0.000000, -0.168429>
}

#declare JawBlock = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Metalfinish
  }
  scale <1.223404, 0.805622, 0.401143>
  translate <0.000000, 0.524000, 0.205857>
}

#declare JawCSG = difference {
  object { JawHinge }
  object { JawBlock }
}

#declare Jawpin = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.050000, 0.050000, 2.400000>
  rotate <0.000000, -90.000000, 0.000000>
  translate <1.200000, -0.450738, 0.378658>
}

#declare Jaw = union {
  object { JawCSG }
  object { Jawpin }
  scale <0.950000, 0.950000, 1.000000>
}

#declare Head = union {
  object { Skull }
  object { RightEye }
  object { LeftEye }
  object { Jaw }
  translate <0.000000, 0.000000, 12.000000>
}
#declare Torso = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <1.808836, 1.017257, 4.845210>
  translate <0.000000, 0.000000, 5.558527>
}

#declare Neck = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.450000, 0.450000, 0.909763>
  translate <0.000000, 0.000000, 11.200000>
}

#declare Shoulders = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <2.539726, 1.043144, 1.086594>
  translate <0.000000, 0.000000, 10.207118>
}

#declare LeftSocket = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <1.000000, 1.000000, 2.500000>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <2.800000, -1.260790, 10.181422>
}

#declare RightSocket = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <1.000000, 1.000000, 2.500000>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <-2.800000, -1.260790, 10.181422>
}

#declare UpperBody = difference {
  object { Shoulders }
  object { LeftSocket }
  object { RightSocket }
}

#declare RightShoulder = object { 
  sphere {<0,0,0>,1}
  texture {
    Metalfinish
  }
  scale <0.400000, 0.400000, 0.400000>
  translate <0.000000, 2.388552, 10.368871>
}

#declare RightBicep = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.400000, 0.400000, 3.281429>
  translate <0.000000, 2.401504, 7.084437>
}

#declare RightUpperArm = union {
  object { RightShoulder }
  object { RightBicep }
  rotate <14.009009, 0.000000, 0.000000>
  translate <-2.496189, 0.270237, -0.227895>
}
#declare RightElbow = object { 
  sphere {<0,0,0>,1}
  texture {
    Metalfinish
  }
  scale <0.400000, 0.400000, 0.400000>
  translate <0.000000, 2.388552, 10.368871>
}

#declare RightWrist = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.400000, 0.400000, 3.281429>
  translate <0.000000, 2.401504, 7.084437>
}

#declare RightFingers = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Metalfinish
  }
  scale <0.353145, 0.116135, 0.494163>
  translate <-2.653649, -1.252145, 3.705763>
}

#declare RightThumb = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Metalfinish
  }
  scale <0.115450, 0.139137, 0.278264>
  translate <-2.165076, -1.113018, 3.906071>
}

#declare RightHand = union {
  object { RightFingers }
  object { RightThumb }
  rotate <3.746555, 0.000000, 0.000000>
  translate <2.625005, 3.872894, 2.987230>
}
#declare RightForearm = union {
  object { RightElbow }
  object { RightWrist }
  object { RightHand }
  rotate <-32.673553, -46.077229, 0.000000>
  translate <2.921374, -6.742653, 1.955193>
}
#declare RightArm = union {
  object { RightUpperArm }
  object { RightForearm }
  rotate <31.026485, 28.653811, 0.000000>
  translate <-4.468093, 5.392900, 1.416568>
}
#declare LeftShoulder = object { 
  sphere {<0,0,0>,1}
  texture {
    Metalfinish
  }
  scale <0.400000, 0.400000, 0.400000>
  translate <0.000000, 2.388552, 10.368871>
}

#declare LeftBicep = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.400000, 0.400000, 3.281429>
  translate <0.000000, 2.401504, 7.084437>
}

#declare LeftUpperArm = union {
  object { LeftShoulder }
  object { LeftBicep }
  rotate <14.009009, 0.000000, 0.000000>
  translate <-2.496189, 0.270237, -0.227895>
}
#declare LeftElbow = object { 
  sphere {<0,0,0>,1}
  texture {
    Metalfinish
  }
  scale <0.400000, 0.400000, 0.400000>
  translate <0.000000, 2.388552, 10.368871>
}

#declare LeftWrist = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.400000, 0.400000, 3.281429>
  translate <0.000000, 2.401504, 7.084437>
}

#declare LeftFingers = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Metalfinish
  }
  scale <0.353145, 0.116135, 0.494163>
  translate <-2.347037, -1.252145, 3.677889>
}

#declare LeftThumb = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Metalfinish
  }
  scale <0.115450, 0.139137, 0.278264>
  translate <-2.806173, -1.113018, 3.906071>
}

#declare LeftHand = union {
  object { LeftFingers }
  object { LeftThumb }
  rotate <-10.695664, 0.000000, 0.000000>
  translate <2.457451, 2.735706, 2.730713>
}
#declare LeftForearm = union {
  object { LeftElbow }
  object { LeftWrist }
  object { LeftHand }
  rotate <-32.673553, 49.788921, 0.000000>
  translate <-8.248858, -6.742653, 2.178597>
}
#declare LeftArm = union {
  object { LeftUpperArm }
  object { LeftForearm }
  rotate <-22.742598, -16.622919, 0.000000>
  translate <7.558559, -4.001184, 1.931098>
}
union {   // Robot
  object { Head }
  object { Torso }
  object { Neck }
  object { UpperBody }
  object { RightArm }
  object { LeftArm }
}
cylinder {   // LeftWrist1
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.520004, 0.400000, 6.041516>
  rotate <-20.937765, 0.000000, 0.000000>
  translate <-0.840027, -2.385879, 0.243443>
}

cylinder {   // LeftWrist2
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.520004, 0.400000, 6.041516>
  rotate <25.187117, 0.000000, 0.000000>
  translate <1.080035, 2.950006, 0.381283>
}

cylinder {   // foot2
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.651626, 1.045133, 0.416711>
  translate <1.200039, 2.523591, -0.003346>
}

cylinder {   // foot1
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.651626, 1.045133, 0.416711>
  rotate <346.331787, 0.000000, 0.000000>
  translate <-0.720023, -3.022255, 0.257844>
}

