//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 2 lights, 9 textures and 86 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE (c) 1991-1994 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 04/14/1995    (14.04.1995)
//

//
//  This is the standard include file for POV.
//

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"

// If you don't like or want the green floor plane and the blue sky, then
// delete the following line. (To permanently delete it, remove it from
// MRYDEFLT.INC in your Moray directory.
// #include "enviro.inc"

camera {  //  Camera Camera01
  location  <34.086, 53.114, 12.370>
  direction <0.0,     0.0,  2.4880>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <7.996, 10.853, 5.393>
}

// *******  L I G H T S *******
light_source {   // Light001
  <-10.231, 36.321, 9.696>
  color rgb <1.000, 1.000, 1.000>
}

//light_source {   // Spotlight SpotL001
//  <39.511, 34.874, 14.788>
//  color  rgb <1.000, 1.000, 1.000>
//  spotlight
//    point_at  <38.843, 34.189, 14.498>
//    falloff   15.0  // outer radius (in deg)
//      radius    7.5  // inner radius
//}


//
// ********  T E X T U R E S  *******
//

#include "SPRITES.INC"

// ********  O B J E C T S *******
#declare Skull = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <1.000000, 1.000000, 1.743494>
}

#declare EyeLids = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <1.300000, 1.300000, 3.389290>
}

#declare EyeBall = object { 
  sphere {<0,0,0>,1}
  texture {
    Glass
  }
  translate <0.000000, 0.000000, 0.371747>
}

#declare RightEye = merge {
  object { EyeLids }
  object { EyeBall }
  scale <0.146414, 0.146414, 0.146414>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <-0.406631, -1.003224, 1.108157>
}

#declare EyeLids1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <1.300000, 1.300000, 3.389290>
}

#declare EyeBall1 = object { 
  sphere {<0,0,0>,1}
  texture {
    Glass
  }
  translate <0.000000, 0.000000, 0.371747>
}

#declare LeftEye = merge {
  object { EyeLids1 }
  object { EyeBall1 }
  scale <0.146414, 0.146414, 0.146414>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <0.403255, -1.002596, 1.101543>
}

#declare JawHinge = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <1.191929, 1.191572, 0.812857>
  translate <0.000000, 0.000000, -0.168429>
}

#declare JawBlock = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Metalfinish
  }
  scale <1.223404, 0.805622, 0.401143>
  translate <0.000000, 0.524000, 0.205857>
}

#declare JawCSG = difference {
  object { JawHinge }
  object { JawBlock }
}

#declare Jawpin = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.050000, 0.050000, 2.400000>
  rotate <0.000000, -90.000000, 0.000000>
  translate <1.200000, -0.450738, 0.378658>
}

#declare Jaw = union {
  object { JawCSG }
  object { Jawpin }
  scale <0.950000, 0.950000, 1.000000>
}

#declare Head = union {
  object { Skull }
  object { RightEye }
  object { LeftEye }
  object { Jaw }
  translate <0.000000, 0.000000, 12.000000>
}
#declare Torso = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <1.808836, 1.017257, 4.845210>
  translate <0.000000, 0.000000, 5.558527>
}

#declare Neck = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.450000, 0.450000, 0.909763>
  translate <0.000000, 0.000000, 11.200000>
}

#declare Shoulders = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <2.539726, 1.043144, 1.086594>
  translate <0.000000, 0.000000, 10.207118>
}

#declare LeftSocket = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <1.000000, 1.000000, 2.500000>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <2.800000, -1.260790, 10.181422>
}

#declare RightSocket = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <1.000000, 1.000000, 2.500000>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <-2.800000, -1.260790, 10.181422>
}

#declare UpperBody = difference {
  object { Shoulders }
  object { LeftSocket }
  object { RightSocket }
}

#declare RightShoulder = object { 
  sphere {<0,0,0>,1}
  texture {
    Metalfinish
  }
  scale <0.400000, 0.400000, 0.400000>
  translate <0.000000, 2.388552, 10.368871>
}

#declare RightBicep = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.400000, 0.400000, 3.281429>
  translate <0.000000, 2.401504, 7.084437>
}

#declare RightUpperArm = union {
  object { RightShoulder }
  object { RightBicep }
  rotate <14.009009, 0.000000, 0.000000>
  translate <-2.496189, 0.270237, -0.227895>
}
#declare RightElbow = object { 
  sphere {<0,0,0>,1}
  texture {
    Metalfinish
  }
  scale <0.400000, 0.400000, 0.400000>
  translate <0.000000, 2.388552, 10.368871>
}

#declare RightWrist = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.400000, 0.400000, 3.281429>
  translate <0.000000, 2.401504, 7.084437>
}

#declare RightFingers = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Metalfinish
  }
  scale <0.353145, 0.116135, 0.494163>
  translate <-2.653649, -1.252145, 3.705763>
}

#declare RightThumb = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Metalfinish
  }
  scale <0.115450, 0.139137, 0.278264>
  translate <-2.165076, -1.113018, 3.906071>
}

#declare RightHand = union {
  object { RightFingers }
  object { RightThumb }
  rotate <3.746555, 0.000000, 0.000000>
  translate <2.625005, 3.872894, 2.987230>
}
#declare RightForearm = union {
  object { RightElbow }
  object { RightWrist }
  object { RightHand }
  rotate <-32.673553, -46.077229, 0.000000>
  translate <2.921374, -6.742653, 1.955193>
}
#declare RightArm = union {
  object { RightUpperArm }
  object { RightForearm }
  rotate <31.026485, 28.653811, 0.000000>
  translate <-4.468093, 5.392900, 1.416568>
}
#declare LeftShoulder = object { 
  sphere {<0,0,0>,1}
  texture {
    Metalfinish
  }
  scale <0.400000, 0.400000, 0.400000>
  translate <0.000000, 2.388552, 10.368871>
}

#declare LeftBicep = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.400000, 0.400000, 3.281429>
  translate <0.000000, 2.401504, 7.084437>
}

#declare LeftUpperArm = union {
  object { LeftShoulder }
  object { LeftBicep }
  rotate <14.009009, 0.000000, 0.000000>
  translate <-2.496189, 0.270237, -0.227895>
}
#declare LeftElbow = object { 
  sphere {<0,0,0>,1}
  texture {
    Metalfinish
  }
  scale <0.400000, 0.400000, 0.400000>
  translate <0.000000, 2.388552, 10.368871>
}

#declare LeftWrist = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.400000, 0.400000, 3.281429>
  translate <0.000000, 2.401504, 7.084437>
}

#declare LeftFingers = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Metalfinish
  }
  scale <0.353145, 0.116135, 0.494163>
  translate <-2.347037, -1.252145, 3.677889>
}

#declare LeftThumb = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Metalfinish
  }
  scale <0.115450, 0.139137, 0.278264>
  translate <-2.806173, -1.113018, 3.906071>
}

#declare LeftHand = union {
  object { LeftFingers }
  object { LeftThumb }
  rotate <-10.695664, 0.000000, 0.000000>
  translate <2.457451, 2.735706, 2.730713>
}
#declare LeftForearm = union {
  object { LeftElbow }
  object { LeftWrist }
  object { LeftHand }
  rotate <-32.673553, 49.788921, 0.000000>
  translate <-8.248858, -6.742653, 2.178597>
}
#declare LeftArm = union {
  object { LeftUpperArm }
  object { LeftForearm }
  rotate <-22.742598, -16.622919, 0.000000>
  translate <7.558559, -4.001184, 1.931098>
}
#declare RightLegBone = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.520004, 0.400000, 6.041516>
  rotate <-20.937765, 0.000000, 0.000000>
  translate <-0.840027, -2.385879, 0.243443>
}

#declare rightfoot = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.651626, 1.045133, 0.416711>
  rotate <346.331787, 0.000000, 0.000000>
  translate <-0.720023, -3.022255, 0.257844>
}

#declare rightleg = union {
  object { RightLegBone }
  object { rightfoot }
}
#declare leftfoot = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.651626, 1.045133, 0.416711>
  translate <1.200039, 2.523591, -0.003346>
}

#declare leftlegbone = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Metalfinish
  }
  scale <0.520004, 0.400000, 6.041516>
  rotate <25.187117, 0.000000, 0.000000>
  translate <1.080035, 2.950006, 0.381283>
}

#declare leftleg = union {
  object { leftfoot }
  object { leftlegbone }
}
union {   // Robot
  object { Head }
  object { Torso }
  object { Neck }
  object { UpperBody }
  object { RightArm }
  object { LeftArm }
  object { rightleg }
  object { leftleg }
  rotate <0.000000, 0.000000, -178.666229>
  translate <15.648757, 10.283469, 0.000000>
}
#declare Body = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <4.159851, 7.068190, 2.158913>
  translate <0.000000, -0.502680, 0.092937>
}

#declare RearWheelWell = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    InsideGrill
  }
  scale <3.232237, 2.953427, 9.366068>
  rotate <0.000000, 90.000000, 0.000000>
  translate <-4.553903, -3.488711, -1.910979>
}

#declare CockPit = cylinder {
  <0,0,1>, <0,0,0>, 1
  scale <2.858735, 2.579925, 8.992565>
  rotate <0.000000, 90.000000, 0.000000>
  translate <-4.553903, 3.234966, 1.617483>
}

#declare PanelCutout = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <4.405498, 1.095173, 1.856963>
  translate <0.000000, 4.848235, 0.745882>
}

#declare CSG001 = difference {
  object { Body }
  object { RearWheelWell }
  object { CockPit }
  object { PanelCutout }
  texture {
    Paint
  }
  translate <0.000000, 1.316138, 5.593587>
}

#declare Bumper = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <4.869819, 0.194040, 0.480324>
  translate <0.012109, 16.009461, 3.769352>
}

#declare Bumper1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <4.869819, 0.194040, 0.480324>
  translate <-0.114449, -6.739690, 3.963382>
}

#declare Tire = torus { 
  1.500, 0.500  // Major, minor radius
  rotate -x*90
  texture {
    Rubber
  }
  scale <1.192789, 1.192789, 1.192789>
  rotate <0.000000, -90.000000, 0.000000>
  translate <4.263231, -2.133088, 3.981301>
}

#declare HubCap = disc { 
  <0.0, 0.0, 0.0>,
  <0.0, 0.0, 1.0>,
  1.0000
  texture {
    Paint
  }
  scale <1.192789, 1.192789, 1.192789>
  rotate <0.000000, -90.000000, 0.000000>
  translate <4.680745, -2.132148, 4.000363>
}

#declare Wheel = union {
  object { Tire }
  object { HubCap }
  scale <1.534960, 1.061561, 0.929944>
  translate <-2.829281, 0.000000, -0.307805>
}
#declare Tire1 = torus { 
  1.500, 0.500  // Major, minor radius
  rotate -x*90
  texture {
    Rubber
  }
  scale <1.192789, 1.192789, 1.192789>
  rotate <0.000000, -90.000000, 0.000000>
  translate <4.263231, -2.133088, 3.851254>
}

#declare HubCap1 = disc { 
  <0.0, 0.0, 0.0>,
  <0.0, 0.0, 1.0>,
  1.0000
  texture {
    Paint
  }
  scale <1.192789, 1.192789, 1.192789>
  rotate <0.000000, -90.000000, 0.000000>
  translate <3.760736, -2.132148, 3.795444>
}

#declare Wheel1 = union {
  object { Tire1 }
  object { HubCap1 }
  scale <1.534960, 1.061561, 0.929944>
  translate <-10.224379, 0.000000, -0.184683>
}
#declare Tire2 = torus { 
  1.500, 0.500  // Major, minor radius
  rotate -x*90
  texture {
    Rubber
  }
  scale <1.192789, 1.192789, 1.192789>
  rotate <0.000000, -90.000000, 0.000000>
  translate <4.263231, -2.133088, 3.981301>
}

#declare HubCap2 = disc { 
  <0.0, 0.0, 0.0>,
  <0.0, 0.0, 1.0>,
  1.0000
  texture {
    Paint
  }
  scale <1.192789, 1.192789, 1.192789>
  rotate <0.000000, -90.000000, 0.000000>
  translate <4.680745, -2.132148, 4.000363>
}

#declare Wheel2 = union {
  object { Tire2 }
  object { HubCap2 }
  scale <1.534960, 1.061561, 0.929944>
  translate <-2.039414, 15.116292, -0.307805>
}
#declare Tire3 = torus { 
  1.500, 0.500  // Major, minor radius
  rotate -x*90
  texture {
    Rubber
  }
  scale <1.192789, 1.192789, 1.192789>
  rotate <0.000000, -90.000000, 0.000000>
  translate <4.263231, -2.133088, 3.851254>
}

#declare HubCap3 = disc { 
  <0.0, 0.0, 0.0>,
  <0.0, 0.0, 1.0>,
  1.0000
  texture {
    Paint
  }
  scale <1.192789, 1.192789, 1.192789>
  rotate <0.000000, -90.000000, 0.000000>
  translate <3.760736, -2.132148, 3.795444>
}

#declare Wheel3 = union {
  object { Tire3 }
  object { HubCap3 }
  scale <1.534960, 1.061561, 0.929944>
  translate <-10.958978, 15.091479, -0.184683>
}
#declare Steering = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Rubber
  }
  scale <1.500000, 1.500000, 0.251124>
  translate <-13.025967, 10.095831, 1.092775>
}

#declare SteeringWheel1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Rubber
  }
  scale <1.259380, 1.303760, 0.365542>
  translate <-13.025967, 10.051451, 1.004016>
}

#declare SteeringRim = difference {
  object { Steering }
  object { SteeringWheel1 }
}

#declare Spoke = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Rubber
  }
  scale <0.086728, 0.064348, 1.046503>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <-12.987298, 8.866125, 1.229090>
}

#declare Spoke1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Rubber
  }
  scale <0.086728, 0.064348, 1.046503>
  rotate <-90.000000, 0.000000, -132.476715>
  translate <-13.913681, 10.869116, 1.229090>
}

#declare Spoke2 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Rubber
  }
  scale <0.086728, 0.064348, 1.046503>
  rotate <-90.000000, 0.000000, -231.543457>
  translate <-12.010840, 10.819041, 1.229090>
}

#declare SteeringColumn = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Rubber
  }
  scale <0.230369, 0.247317, 3.397877>
  translate <-13.013054, 10.073642, -1.981915>
}

#declare SteeringWheel = union {
  object { SteeringRim }
  object { Spoke }
  object { Spoke1 }
  object { Spoke2 }
  object { SteeringColumn }
  rotate <37.680851, 0.000000, 0.000000>
  translate <10.895447, -2.100288, 1.202454>
}
#declare WindshieldFrame = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Rubber
  }
  scale <4.446235, 0.040554, 1.575919>
  translate <0.000000, 7.833647, 9.889979>
}

#declare WindshieldGlass = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Rubber
  }
  scale <4.146657, 0.110212, 1.198316>
  translate <0.000000, 7.833647, 9.912346>
}

#declare WindShield = difference {
  object { WindshieldFrame }
  object { WindshieldGlass }
  translate <0.000000, -0.051662, -0.490785>
}

#declare Wiper1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Rubber
  }
  scale <0.040277, 0.071932, 1.074051>
  rotate <0.000000, -45.000000, 0.000000>
  translate <2.659704, 7.907530, 10.015376>
}

#declare Wiper2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Rubber
  }
  scale <0.040277, 0.071932, 1.074051>
  rotate <0.000000, -45.000000, 0.000000>
  translate <-1.291578, 7.907152, 10.022778>
}

#declare WSGlass = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Glass
  }
  scale <4.142263, 0.010984, 1.212642>
  translate <-0.024955, 7.771835, 9.405350>
}

#declare WindScreen = union {
  object { WindShield }
  object { Wiper1 }
  object { Wiper2 }
  object { WSGlass }
  rotate <10.922429, 0.000000, 0.000000>
  translate <0.000000, 1.639707, -1.332101>
}
#declare UHood = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <3.642216, 3.508609, 0.288940>
  translate <-12.080573, 11.602332, 6.403274>
}

#declare HoodCorner1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Paint
  }
  scale <0.514000, 0.514000, 7.342383>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <-8.446863, 7.769842, 6.181696>
}

#declare HoodCorner2 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Paint
  }
  scale <0.513976, 0.513976, 7.290607>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <-15.738984, 7.801331, 6.178136>
}

#declare Hood = union {
  object { UHood }
  object { HoodCorner1 }
  object { HoodCorner2 }
}
#declare FrontBody = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <4.161582, 3.508609, 1.633370>
  translate <-12.093847, 11.602332, 4.545736>
}

#declare RFrontWheelWell = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Paint
  }
  scale <1.277071, 2.807105, 5.786916>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <-16.216519, 9.882940, 2.333354>
}

#declare LFrontWheelWell = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Paint
  }
  scale <1.277071, 2.807105, 5.786916>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <-7.988083, 9.882940, 2.358545>
}

#declare Grill1 = object { 
  sphere {<0,0,0>,1}
  texture {
    InsideGrill
  }
  scale <0.231000, 0.449565, 1.261000>
  translate <-14.095398, 15.123000, 4.741568>
}

#declare Grill2 = object { 
  sphere {<0,0,0>,1}
  texture {
    InsideGrill
  }
  scale <0.231000, 0.449565, 1.261000>
  translate <-13.109547, 15.122590, 4.741568>
}

#declare Grill3 = object { 
  sphere {<0,0,0>,1}
  texture {
    InsideGrill
  }
  scale <0.231000, 0.449565, 1.261000>
  translate <-12.117533, 15.123000, 4.742000>
}

#declare Grill4 = object { 
  sphere {<0,0,0>,1}
  texture {
    InsideGrill
  }
  scale <0.230685, 0.449565, 1.260785>
  translate <-11.122590, 15.122590, 4.742000>
}

#declare Grill5 = object { 
  sphere {<0,0,0>,1}
  texture {
    InsideGrill
  }
  scale <0.231000, 0.449565, 1.260785>
  translate <-10.102891, 15.122590, 4.742000>
}

#declare EngineCompart = difference {
  object { FrontBody }
  object { RFrontWheelWell }
  object { LFrontWheelWell }
  object { Grill1 }
  object { Grill2 }
  object { Grill3 }
  object { Grill4 }
  object { Grill5 }
}

#declare Reflector = object { 
  sphere {<0,0,0>,1}
  texture {
    Texture01
  }
  scale <0.600000, 1.954618, 0.600000>
  translate <0.000000, 20.681973, 5.055593>
}

#declare Lens = object { 
  sphere {<0,0,0>,1}
  texture {
    Glass
  }
  scale <0.600000, 0.600000, 0.600000>
  translate <0.000000, 18.708089, 5.018401>
}

#declare Headlight1 = intersection {
  object { Reflector }
  object { Lens }
  scale <1.500000, 1.500000, 1.500000>
  translate <-15.350201, -13.641556, -1.614684>
}

#declare Reflector1 = object { 
  sphere {<0,0,0>,1}
  texture {
    Texture01
  }
  scale <0.600000, 1.954618, 0.600000>
  translate <0.000000, 20.681973, 5.055593>
}

#declare Lens1 = object { 
  sphere {<0,0,0>,1}
  texture {
    Glass
  }
  scale <0.600000, 0.600000, 0.600000>
  translate <0.000000, 18.708089, 5.018401>
}

#declare Headlight2 = intersection {
  object { Reflector1 }
  object { Lens1 }
  scale <1.500000, 1.500000, 1.500000>
  translate <-8.868375, -13.634027, -1.606116>
}

#declare Front = union {
  object { Hood }
  object { EngineCompart }
  object { Headlight1 }
  object { Headlight2 }
  translate <12.094308, 0.000000, 0.977042>
}
#declare SeatCushion = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    SeatCover
  }
  scale <3.821793, 1.103744, 0.360653>
  translate <0.000000, 3.734774, 5.083443>
}

#declare SeatBack = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    SeatCover
  }
  scale <3.821793, 1.103744, 0.360653>
  rotate <110.105377, 0.000000, 0.000000>
  translate <0.000000, 2.386106, 6.328368>
}

#declare Tire4 = torus { 
  1.500, 0.500  // Major, minor radius
  rotate -x*90
  texture {
    Rubber
  }
  scale <1.192789, 1.192789, 1.192789>
  rotate <0.000000, -90.000000, 0.000000>
  translate <4.263231, -2.133088, 3.981301>
}

#declare HubCap4 = disc { 
  <0.0, 0.0, 0.0>,
  <0.0, 0.0, 1.0>,
  1.0000
  texture {
    Paint
  }
  scale <1.192789, 1.192789, 1.192789>
  rotate <0.000000, -90.000000, 0.000000>
  translate <4.680745, -2.132148, 4.000363>
}

#declare SpareTire = union {
  object { Tire4 }
  object { HubCap4 }
  scale <1.534960, 1.061561, 0.929944>
  rotate <0.000000, 0.000000, -90.000000>
  translate <4.474455, -0.580131, 3.219482>
}
#declare FrontFender1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <1.000000, 2.480655, 0.164527>
  translate <5.323634, 13.355439, 6.087139>
}

#declare FenderSlope1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <1.000000, 1.809700, 0.177414>
  rotate <48.225124, 0.000000, 0.000000>
  translate <5.323634, 9.793784, 4.733691>
}

#declare RunningBoard1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <1.000000, 2.209424, 0.176575>
  translate <5.323634, 6.515213, 3.458467>
}

#declare Fender1 = union {
  object { FrontFender1 }
  object { FenderSlope1 }
  object { RunningBoard1 }
  scale <0.826283, 1.000000, 1.000000>
  translate <-9.242721, -0.743112, 0.134799>
}
#declare FrontFender = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <1.000000, 2.480655, 0.164527>
  translate <5.323634, 13.355439, 6.087139>
}

#declare FenderSlope = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <1.000000, 1.809700, 0.177414>
  rotate <48.225124, 0.000000, 0.000000>
  translate <5.323634, 9.793784, 4.733691>
}

#declare RunningBoard = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <1.000000, 2.209424, 0.176575>
  translate <5.323634, 6.515213, 3.458467>
}

#declare Fender = union {
  object { FrontFender }
  object { FenderSlope }
  object { RunningBoard }
  scale <0.826000, 1.000000, 1.000000>
  translate <0.449774, -0.708231, 0.170073>
}
#declare Taillight = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    RedLens
  }
  scale <0.352845, 0.352845, 0.352845>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <-3.408825, -6.820703, 5.234291>
}

#declare GasCap = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Paint
  }
  scale <0.389174, 0.389174, 0.389174>
  rotate <0.000000, -90.000000, 0.000000>
  translate <4.461853, -4.915788, 6.663107>
}

#declare Can = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <1.000000, 0.352845, 1.323577>
  translate <-1.550503, -6.474970, 4.691573>
}

#declare Notch1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <0.101626, 0.137127, 0.778227>
  rotate <0.000000, 40.000000, 0.000000>
  translate <-1.527066, -6.849059, 4.683002>
}

#declare Notch2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Paint
  }
  scale <0.101626, 0.137127, 0.778227>
  rotate <0.000000, -40.000000, 0.000000>
  translate <-1.527066, -6.849059, 4.683002>
}

#declare GasCan = difference {
  object { Can }
  object { Notch1 }
  object { Notch2 }
  translate <10.485851, 0.000000, 0.000000>
}

#declare GasCap1 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Paint
  }
  scale <0.222114, 0.222114, 0.222114>
  translate <8.368628, -6.489968, 6.006459>
}

#declare GasContainer = union {
  object { GasCan }
  object { GasCap1 }
  translate <-10.511083, -0.294703, 1.117771>
}
union {   // Jeep
  object { CSG001 }
  object { Bumper }
  object { Bumper1 }
  object { Wheel }
  object { Wheel1 }
  object { Wheel2 }
  object { Wheel3 }
  object { SteeringWheel }
  object { WindScreen }
  object { Front }
  object { SeatCushion }
  object { SeatBack }
  object { SpareTire }
  object { Fender1 }
  object { Fender }
  object { Taillight }
  object { GasCap }
  object { GasContainer }
  translate <0.000000, 0.351073, -1.140987>
}
sphere {
  <0, 0, 0>, 1
  texture {
    pigment {
      gradient z
      color_map {
         [0, 1 color rgb <0.9,0.9,1.0> color rgb <0.4,0.5,1.0> ]
      }
    }
    finish {
      ambient 1.0
      diffuse 0.0
    }
  }
  scale <1000,1000,1000>
}


