//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 1 lights, 2 textures and 16 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE (c) 1991-1994 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 01/21/1995    (21.01.1995)
//

//
//  This is the standard include file for POV.
//

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"

// If you don't like or want the green floor plane and the blue sky, then
// delete the following line. (To permanently delete it, remove it from
// MRYDEFLT.INC in your Moray directory.
#include "enviro.inc"

camera {  //  Camera Camera01
  location  <1.000, -21.729, 3.056>
  direction <0.0,     0.0,  2.4880>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <0.165, 0.116, 2.519>
}

// *******  L I G H T S *******
light_source {   // Light001
  <-6.280, -12.493, 8.732>
  color rgb <1.000, 1.000, 1.000>
}


//
// ********  T E X T U R E S  *******
//

#include "TREE.INC"

// ********  O B J E C T S *******
#declare Trunk = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    DMFLightOak
  }
  scale <0.123148, 0.108552, 2.438888>
  translate <-0.015720, -0.060748, 1.861139>
}

#declare Sphere001 = object { 
  sphere {<0,0,0>,1}
  texture {
    Leaves1
  }
  scale <0.427256, 0.427256, 0.427256>
  translate <0.384790, 0.416711, 4.832714>
}

#declare Sphere2 = object { 
  sphere {<0,0,0>,1}
  texture {
    Leaves1
  }
  scale <0.160014, 0.160014, 0.160014>
  translate <0.372780, 0.319858, 4.213724>
}

#declare Sphere4 = object { 
  sphere {<0,0,0>,1}
  texture {
    Leaves1
  }
  scale <0.270055, 0.270055, 0.270055>
  translate <-0.024355, -0.795819, 4.865191>
}

#declare Sphere5 = object { 
  sphere {<0,0,0>,1}
  texture {
    Leaves1
  }
  scale <0.317216, 0.317216, 0.317216>
  translate <-0.180163, -0.526608, 4.960147>
}

#declare Sphere6 = object { 
  sphere {<0,0,0>,1}
  texture {
    Leaves1
  }
  scale <0.409323, 0.409323, 0.409323>
  translate <0.110041, 0.123916, 5.099956>
}

#declare Sphere7 = object { 
  sphere {<0,0,0>,1}
  texture {
    Leaves1
  }
  scale <0.301495, 0.301495, 0.301495>
  translate <0.454735, -0.742924, 4.480016>
}

#declare Sphere8 = object { 
  sphere {<0,0,0>,1}
  texture {
    Leaves1
  }
  scale <0.207175, 0.222895, 0.222895>
  translate <0.596743, -0.591890, 4.385695>
}

#declare Sphere9 = object { 
  sphere {<0,0,0>,1}
  texture {
    Leaves1
  }
  scale <0.301495, 0.301495, 0.301495>
  translate <-0.161584, -0.289823, 4.039852>
}

#declare Sphere10 = object { 
  sphere {<0,0,0>,1}
  texture {
    Leaves1
  }
  scale <0.301495, 0.301495, 0.301495>
  translate <-0.507427, -0.289823, 4.480016>
}

#declare Sphere11 = object { 
  sphere {<0,0,0>,1}
  texture {
    Leaves1
  }
  scale <0.301495, 0.301495, 0.301495>
  translate <-0.233566, 0.292961, 4.309415>
}

#declare Sphere12 = object { 
  sphere {<0,0,0>,1}
  texture {
    Leaves1
  }
  scale <0.175734, 0.175734, 0.175734>
  translate <-0.538868, -0.289823, 4.118453>
}

#declare Sphere13 = object { 
  sphere {<0,0,0>,1}
  texture {
    Leaves1
  }
  scale <0.301495, 0.301495, 0.301495>
  translate <0.482941, -0.289823, 4.197053>
}

#declare Sphere14 = object { 
  sphere {<0,0,0>,1}
  texture {
    Leaves1
  }
  scale <0.301495, 0.301495, 0.301495>
  translate <0.718744, -0.289823, 4.715818>
}

#declare Sphere15 = object { 
  sphere {<0,0,0>,1}
  texture {
    Leaves1
  }
  scale <0.301495, 0.301495, 0.301495>
  translate <0.011337, -0.289823, 4.275654>
}

#declare Sphere16 = object { 
  sphere {<0,0,0>,1}
  texture {
    Leaves1
  }
  scale <0.301495, 0.301495, 0.301495>
  translate <0.247139, -0.289823, 3.992692>
}

union {   // Tree
  object { Trunk }
  object { Sphere001 }
  object { Sphere2 }
  object { Sphere4 }
  object { Sphere5 }
  object { Sphere6 }
  object { Sphere7 }
  object { Sphere8 }
  object { Sphere9 }
  object { Sphere10 }
  object { Sphere11 }
  object { Sphere12 }
  object { Sphere13 }
  object { Sphere14 }
  object { Sphere15 }
  object { Sphere16 }
  translate <0.000000, 0.281283, -1.881172>
}
