//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 1 lights, 4 textures and 9 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE (c) 1991-1994 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 01/23/1995    (23.01.1995)
//

//
//  This is the standard include file for POV.
//

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"

// If you don't like or want the green floor plane and the blue sky, then
// delete the following line. (To permanently delete it, remove it from
// MRYDEFLT.INC in your Moray directory.
#include "enviro.inc"

camera {  //  Camera Camera01
  location  <-5.450, 17.505, 1.989>
  direction <0.0,     0.0,  2.4880>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <0.339, -3.493, 3.289>
}

// *******  L I G H T S *******
light_source {   // Spotlight SpotL001
  <9.166, 14.767, 4.397>
  color  rgb <1.000, 1.000, 1.000>
  spotlight
    point_at  <7.787, 12.411, 3.823>
    falloff   15.0  // outer radius (in deg)
      radius    7.5  // inner radius
}


//
// ********  T E X T U R E S  *******
//

#include "WINDOW.INC"

// ********  O B J E C T S *******
#declare Frame = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    TrimPaint
  }
  scale <0.893000, 0.202224, 1.630954>
  translate <0.038852, 0.000000, 0.036733>
}

#declare Aperture1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368249, 0.048418, 0.405632>
}

#declare Aperture2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.761188, 0.247925, 0.674611>
  translate <0.048746, 0.087280, -0.717823>
}

#declare Aperture3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.469671, 0.048418, 1.215533>
}

#declare Aperture4 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <-0.368293, 0.048418, 1.215578>
}

#declare Aperture5 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Background
  }
  scale <0.350000, 0.200000, 0.350000>
  translate <0.453895, 0.062207, 0.405587>
}

#declare Sill = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    TrimPaint
  }
  scale <0.893000, 0.415421, 0.083092>
  translate <0.036907, 0.182904, -1.666147>
}

#declare WindowFrame = difference {
  object { Frame }
  object { Aperture1 }
  object { Aperture2 }
  object { Aperture3 }
  object { Aperture4 }
  object { Aperture5 }
  object { Sill }
  scale <1.317446, 0.408546, 1.020814>
  translate <-0.057270, -2.034703, 0.157719>
}

#declare Pane = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Glass
  }
  scale <1.036765, 0.027587, 1.543270>
  translate <0.021169, -2.022386, 0.261143>
}

union {   // Window
  object { WindowFrame }
  object { Pane }
  translate <0.000000, -0.037351, 2.337567>
}
box {   // Cube001
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Texture02
  }
  scale <2.188030, 2.188030, 2.188030>
  translate <0.000000, -4.282432, 2.237916>
}

