// -------- theatrix.h

#ifndef  THEATRIX_H
#define  THEATRIX_H

#include <typeinfo.h>

#include "hand.h"
#include "director.h"
#include "scenedir.h"
#include "scenery.h"
#include "ascii.h"
#include "scancode.h"
#include "standard.h"
#include "perform.h"
#include "viddir.h"
#include "music.h"
#include "keysrvr.h"
#include "kdsrvr.h"
#include "timesrvr.h"
#include "msgsrvr.h"
#include "mcsrvr.h"
#include "mmsrvr.h"
#include "jssrvr.h"
#include "netsrvr.h"
#include "keyfold.h"
#include "kdfold.h"
#include "timefold.h"
#include "msgfold.h"
#include "mcfold.h"
#include "mmfold.h"
#include "jsfold.h"
#include "netfold.h"

class Theatrix  {
  int videomode;
  Director* director[MAXDIRECTORS];
  int dcount;
  static KeystrokeServer kss;
  static HotkeyServer hks;
  static TimerServer ts;
  static MessageServer ms;
  static MouseclickServer mcs;
  static MousemoveServer mms;
  static JoystickServer js;
  static NetpackServer ns;
  int find_director_index(const Type_info& id);
  void add_director(Director* d);
  friend class Director;
protected:
  Theatrix(char* str);
 ~Theatrix();
public:
  void go(int index=0);
  void go(const Type_info&);
  void enable_netpacks();
  void use_commport(int);
  void enable_joystick();
  void joystick_extremes(int *x1, int *y1, int *x2, int *y2);
  void use_video_mode(int vmode);
  void set_xms(int mode);
  static void fatal(const char*,const char*,int);
  static void fatal(const char*);
  static void system_shutdown();
  static Theatrix *current_game;
};

#endif

